Bladeren bron

merged from david

Michael Vogt 14 jaren geleden
bovenliggende
commit
700616ab87

+ 2 - 2
apt-pkg/cdrom.cc

@@ -413,8 +413,8 @@ bool pkgCdrom::WriteDatabase(Configuration &Cnf)
 
 
    Out.close();
    Out.close();
 
 
-   if (FileExists(DFile) == true && link(DFile.c_str(),string(DFile + '~').c_str()) != 0)
-      return _error->Errno("link", "Failed to link %s to %s~", DFile.c_str(), DFile.c_str());
+   if (FileExists(DFile) == true)
+      rename(DFile.c_str(), string(DFile + '~').c_str());
    if (rename(NewFile.c_str(),DFile.c_str()) != 0)
    if (rename(NewFile.c_str(),DFile.c_str()) != 0)
       return _error->Errno("rename","Failed to rename %s.new to %s",
       return _error->Errno("rename","Failed to rename %s.new to %s",
 			   DFile.c_str(),DFile.c_str());
 			   DFile.c_str(),DFile.c_str());

+ 0 - 2
apt-pkg/contrib/fileutl.cc

@@ -1748,13 +1748,11 @@ bool FileFd::Close()
 /* */
 /* */
 bool FileFd::Sync()
 bool FileFd::Sync()
 {
 {
-#ifdef _POSIX_SYNCHRONIZED_IO
    if (fsync(iFd) != 0)
    if (fsync(iFd) != 0)
    {
    {
       Flags |= Fail;
       Flags |= Fail;
       return _error->Errno("sync",_("Problem syncing the file"));
       return _error->Errno("sync",_("Problem syncing the file"));
    }
    }
-#endif
    return true;
    return true;
 }
 }
 									/*}}}*/
 									/*}}}*/

+ 8 - 8
apt-pkg/contrib/mmap.cc

@@ -156,11 +156,10 @@ bool MMap::Close(bool DoSync)
 /* This is done in syncronous mode - the docs indicate that this will 
 /* This is done in syncronous mode - the docs indicate that this will 
    not return till all IO is complete */
    not return till all IO is complete */
 bool MMap::Sync()
 bool MMap::Sync()
-{   
+{
    if ((Flags & UnMapped) == UnMapped)
    if ((Flags & UnMapped) == UnMapped)
       return true;
       return true;
-   
-#ifdef _POSIX_SYNCHRONIZED_IO   
+
    if ((Flags & ReadOnly) != ReadOnly)
    if ((Flags & ReadOnly) != ReadOnly)
    {
    {
       if (SyncToFd != NULL)
       if (SyncToFd != NULL)
@@ -170,11 +169,12 @@ bool MMap::Sync()
       }
       }
       else
       else
       {
       {
+#ifdef _POSIX_SYNCHRONIZED_IO
 	 if (msync((char *)Base, iSize, MS_SYNC) < 0)
 	 if (msync((char *)Base, iSize, MS_SYNC) < 0)
 	    return _error->Errno("msync", _("Unable to synchronize mmap"));
 	    return _error->Errno("msync", _("Unable to synchronize mmap"));
+#endif
       }
       }
    }
    }
-#endif   
    return true;
    return true;
 }
 }
 									/*}}}*/
 									/*}}}*/
@@ -185,9 +185,7 @@ bool MMap::Sync(unsigned long Start,unsigned long Stop)
 {
 {
    if ((Flags & UnMapped) == UnMapped)
    if ((Flags & UnMapped) == UnMapped)
       return true;
       return true;
-   
-#ifdef _POSIX_SYNCHRONIZED_IO
-   unsigned long long PSize = sysconf(_SC_PAGESIZE);
+
    if ((Flags & ReadOnly) != ReadOnly)
    if ((Flags & ReadOnly) != ReadOnly)
    {
    {
       if (SyncToFd != 0)
       if (SyncToFd != 0)
@@ -198,11 +196,13 @@ bool MMap::Sync(unsigned long Start,unsigned long Stop)
       }
       }
       else
       else
       {
       {
+#ifdef _POSIX_SYNCHRONIZED_IO
+	 unsigned long long const PSize = sysconf(_SC_PAGESIZE);
 	 if (msync((char *)Base+(unsigned long long)(Start/PSize)*PSize,Stop - Start,MS_SYNC) < 0)
 	 if (msync((char *)Base+(unsigned long long)(Start/PSize)*PSize,Stop - Start,MS_SYNC) < 0)
 	    return _error->Errno("msync", _("Unable to synchronize mmap"));
 	    return _error->Errno("msync", _("Unable to synchronize mmap"));
+#endif
       }
       }
    }
    }
-#endif   
    return true;
    return true;
 }
 }
 									/*}}}*/
 									/*}}}*/

+ 6 - 1
apt-pkg/indexcopy.cc

@@ -810,9 +810,14 @@ bool TranslationsCopy::CopyTranslations(string CDROM,string Name,	/*{{{*/
 	       (*I).c_str() + CDROM.length());
 	       (*I).c_str() + CDROM.length());
       string TargetF = _config->FindDir("Dir::State::lists") + "partial/";
       string TargetF = _config->FindDir("Dir::State::lists") + "partial/";
       TargetF += URItoFileName(S);
       TargetF += URItoFileName(S);
+      FileFd Target;
       if (_config->FindB("APT::CDROM::NoAct",false) == true)
       if (_config->FindB("APT::CDROM::NoAct",false) == true)
+      {
 	 TargetF = "/dev/null";
 	 TargetF = "/dev/null";
-      FileFd Target(TargetF,FileFd::WriteAtomic);
+	 Target.Open(TargetF,FileFd::WriteExists);
+      } else {
+	 Target.Open(TargetF,FileFd::WriteAtomic);
+      }
       FILE *TargetFl = fdopen(dup(Target.Fd()),"w");
       FILE *TargetFl = fdopen(dup(Target.Fd()),"w");
       if (_error->PendingError() == true)
       if (_error->PendingError() == true)
 	 return false;
 	 return false;

+ 25 - 14
cmdline/apt-get.cc

@@ -1434,7 +1434,7 @@ bool TryToInstallBuildDep(pkgCache::PkgIterator Pkg,pkgCacheFile &Cache,
    if (Cache[Pkg].CandidateVer == 0 && Pkg->ProvidesList != 0)
    if (Cache[Pkg].CandidateVer == 0 && Pkg->ProvidesList != 0)
    {
    {
       CacheSetHelperAPTGet helper(c1out);
       CacheSetHelperAPTGet helper(c1out);
-      helper.showErrors(AllowFail == false);
+      helper.showErrors(false);
       pkgCache::VerIterator Ver = helper.canNotFindNewestVer(Cache, Pkg);
       pkgCache::VerIterator Ver = helper.canNotFindNewestVer(Cache, Pkg);
       if (Ver.end() == false)
       if (Ver.end() == false)
 	 Pkg = Ver.ParentPkg();
 	 Pkg = Ver.ParentPkg();
@@ -2895,11 +2895,15 @@ bool DoBuildDep(CommandLine &CmdL)
 	    if (StripMultiArch == false && D->Type != pkgSrcRecords::Parser::BuildDependIndep)
 	    if (StripMultiArch == false && D->Type != pkgSrcRecords::Parser::BuildDependIndep)
 	    {
 	    {
 	       size_t const colon = D->Package.find(":");
 	       size_t const colon = D->Package.find(":");
-	       if (colon != string::npos &&
-		   (strcmp(D->Package.c_str() + colon, ":any") == 0 || strcmp(D->Package.c_str() + colon, ":native") == 0))
-		  Pkg = Cache->FindPkg(D->Package.substr(0,colon));
+	       if (colon != string::npos)
+	       {
+		  if (strcmp(D->Package.c_str() + colon, ":any") == 0 || strcmp(D->Package.c_str() + colon, ":native") == 0)
+		     Pkg = Cache->FindPkg(D->Package.substr(0,colon));
+		  else
+		     Pkg = Cache->FindPkg(D->Package);
+	       }
 	       else
 	       else
-		  Pkg = Cache->FindPkg(D->Package);
+		  Pkg = Cache->FindPkg(D->Package, hostArch);
 
 
 	       // a bad version either is invalid or doesn't satify dependency
 	       // a bad version either is invalid or doesn't satify dependency
 	       #define BADVER(Ver) (Ver.end() == true || \
 	       #define BADVER(Ver) (Ver.end() == true || \
@@ -2918,13 +2922,13 @@ bool DoBuildDep(CommandLine &CmdL)
 	       }
 	       }
 	       if (verlist.empty() == true)
 	       if (verlist.empty() == true)
 	       {
 	       {
-		  pkgCache::PkgIterator HostPkg = Cache->FindPkg(D->Package, hostArch);
-		  if (HostPkg.end() == false)
+		  pkgCache::PkgIterator BuildPkg = Cache->FindPkg(D->Package, "native");
+		  if (BuildPkg.end() == false && Pkg != BuildPkg)
 		  {
 		  {
-		     pkgCache::VerIterator Ver = (*Cache)[HostPkg].InstVerIter(*Cache);
+		     pkgCache::VerIterator Ver = (*Cache)[BuildPkg].InstVerIter(*Cache);
 		     if (BADVER(Ver) == false)
 		     if (BADVER(Ver) == false)
 			verlist.insert(Ver);
 			verlist.insert(Ver);
-		     Ver = (*Cache)[HostPkg].CandidateVerIter(*Cache);
+		     Ver = (*Cache)[BuildPkg].CandidateVerIter(*Cache);
 		     if (BADVER(Ver) == false)
 		     if (BADVER(Ver) == false)
 			verlist.insert(Ver);
 			verlist.insert(Ver);
 		  }
 		  }
@@ -2943,6 +2947,8 @@ bool DoBuildDep(CommandLine &CmdL)
 			Pkg = Ver.ParentPkg().Group().FindPkg(hostArch);
 			Pkg = Ver.ParentPkg().Group().FindPkg(hostArch);
 		     else if (strcmp(D->Package.c_str() + colon, ":any") == 0)
 		     else if (strcmp(D->Package.c_str() + colon, ":any") == 0)
 			forbidden = "Multi-Arch: none";
 			forbidden = "Multi-Arch: none";
+		     else if (strcmp(D->Package.c_str() + colon, ":native") == 0)
+			Pkg = Ver.ParentPkg().Group().FindPkg("native");
 		  }
 		  }
 		  else if (Ver->MultiArch == pkgCache::Version::Same)
 		  else if (Ver->MultiArch == pkgCache::Version::Same)
 		  {
 		  {
@@ -2950,11 +2956,15 @@ bool DoBuildDep(CommandLine &CmdL)
 			Pkg = Ver.ParentPkg().Group().FindPkg(hostArch);
 			Pkg = Ver.ParentPkg().Group().FindPkg(hostArch);
 		     else if (strcmp(D->Package.c_str() + colon, ":any") == 0)
 		     else if (strcmp(D->Package.c_str() + colon, ":any") == 0)
 			forbidden = "Multi-Arch: same";
 			forbidden = "Multi-Arch: same";
-		     // :native gets the buildArch
+		     else if (strcmp(D->Package.c_str() + colon, ":native") == 0)
+			Pkg = Ver.ParentPkg().Group().FindPkg("native");
 		  }
 		  }
 		  else if ((Ver->MultiArch & pkgCache::Version::Foreign) == pkgCache::Version::Foreign)
 		  else if ((Ver->MultiArch & pkgCache::Version::Foreign) == pkgCache::Version::Foreign)
 		  {
 		  {
-		     if (colon != string::npos)
+		     if (colon == string::npos)
+			Pkg = Ver.ParentPkg().Group().FindPkg("native");
+		     else if (strcmp(D->Package.c_str() + colon, ":any") == 0 ||
+			      strcmp(D->Package.c_str() + colon, ":native") == 0)
 			forbidden = "Multi-Arch: foreign";
 			forbidden = "Multi-Arch: foreign";
 		  }
 		  }
 		  else if ((Ver->MultiArch & pkgCache::Version::Allowed) == pkgCache::Version::Allowed)
 		  else if ((Ver->MultiArch & pkgCache::Version::Allowed) == pkgCache::Version::Allowed)
@@ -2972,7 +2982,8 @@ bool DoBuildDep(CommandLine &CmdL)
 			if (Pkg.end() == true)
 			if (Pkg.end() == true)
 			   Pkg = Grp.FindPreferredPkg(true);
 			   Pkg = Grp.FindPreferredPkg(true);
 		     }
 		     }
-		     // native gets buildArch
+		     else if (strcmp(D->Package.c_str() + colon, ":native") == 0)
+			Pkg = Ver.ParentPkg().Group().FindPkg("native");
 		  }
 		  }
 
 
 		  if (forbidden.empty() == false)
 		  if (forbidden.empty() == false)
@@ -3004,7 +3015,7 @@ bool DoBuildDep(CommandLine &CmdL)
 	    else
 	    else
 	       Pkg = Cache->FindPkg(D->Package);
 	       Pkg = Cache->FindPkg(D->Package);
 
 
-	    if (Pkg.end() == true)
+	    if (Pkg.end() == true || (Pkg->VersionList == 0 && Pkg->ProvidesList == 0))
             {
             {
                if (_config->FindB("Debug::BuildDeps",false) == true)
                if (_config->FindB("Debug::BuildDeps",false) == true)
                     cout << " (not found)" << (*D).Package << endl;
                     cout << " (not found)" << (*D).Package << endl;
@@ -3087,7 +3098,7 @@ bool DoBuildDep(CommandLine &CmdL)
 	       }
 	       }
 	    }
 	    }
 
 
-            if (TryToInstallBuildDep(Pkg,Cache,Fix,false,false) == true)
+            if (TryToInstallBuildDep(Pkg,Cache,Fix,false,false,false) == true)
             {
             {
                // We successfully installed something; skip remaining alternatives
                // We successfully installed something; skip remaining alternatives
                skipAlternatives = hasAlternatives;
                skipAlternatives = hasAlternatives;

+ 37 - 0
debian/changelog

@@ -1,3 +1,40 @@
+apt (0.9.7.4) UNRELEASED; urgency=low
+
+  [ Manpages translation updates ]
+  * Polish (Robert Luberda) (Closes: #683109)
+
+  [ Program translation updates ]
+  * Polish (Michał Kułach)
+
+  [ Pino Toscano ]
+  * apt-pkg/contrib/mmap.cc:
+    - guard only the msync call with _POSIX_SYNCHRONIZED_IO rather
+      than also the fallback code as it breaks APT on hurd since 0.9.7.3
+      as the fallback is now always used on non-linux (Closes: #683354)
+
+  [ David Kalnischkies ]
+  * apt-pkg/contrib/fileutl.cc:
+    - remove _POSIX_SYNCHRONIZED_IO guard in FileFd::Sync() around fsync
+      as this guard is only needed for fdatasync and not defined on hurd
+  * cmdline/apt-get.cc:
+    - error out on (unsatisfiable) build-deps on purly virtual packages
+      instead of ignoring these dependencies; thanks to Johannes Schauer
+      for the detailed report! (Closes: #683786)
+    - ensure that the right architecture is used for cross-dependencies in
+      cases we have to choose a provider by defaulting on host-arch
+      instead of build-arch
+  * doc/apt-verbatim.ent:
+    - denote 'wheezy' as stable codename and 'jessie' as testing codename
+      in the documentation in preparation for release
+  * apt-pkg/indexcopy.cc:
+    - do not use atomic writing if the target is /dev/null as we don't want
+      to replace it, not even automically. (Closes: #683410)
+  * apt-pkg/cdrom.cc:
+    - do not link() but rename() the cdroms.list to cdroms.list~ as a backup
+      to ensure that apt-cdrom can be run multiple times (Closes: #676302)
+
+ -- David Kalnischkies <kalnischkies@gmail.com>  Wed, 18 Jul 2012 11:45:57 +0200
+
 apt (0.9.7.3) unstable; urgency=low
 apt (0.9.7.3) unstable; urgency=low
 
 
   [ Manpages translation updates ]
   [ Manpages translation updates ]

+ 4 - 4
doc/apt-verbatim.ent

@@ -216,10 +216,10 @@
 <!ENTITY apt-product-version "0.9.7.3">
 <!ENTITY apt-product-version "0.9.7.3">
 
 
 <!-- Codenames for debian releases -->
 <!-- Codenames for debian releases -->
-<!ENTITY oldstable-codename "lenny">
-<!ENTITY stable-codename "squeeze">
-<!ENTITY testing-codename "wheezy">
-<!ENTITY stable-version "6.0">
+<!ENTITY oldstable-codename "squeeze">
+<!ENTITY stable-codename "wheezy">
+<!ENTITY testing-codename "jessie">
+<!ENTITY stable-version "7.0">
 <!ENTITY ubuntu-codename "precise">
 <!ENTITY ubuntu-codename "precise">
 
 
 <!-- good and bad just refers to matching and not matching a pattern…
 <!-- good and bad just refers to matching and not matching a pattern…

+ 119 - 268
doc/po/pl.po

@@ -1,6 +1,6 @@
 # Translation of apt package man pages
 # Translation of apt package man pages
 # Copyright (C) 2004 Krzysztof Fiertek <akfedux@megapolis.pl>
 # Copyright (C) 2004 Krzysztof Fiertek <akfedux@megapolis.pl>
-# Copyright (C) 2000-2004, 2010  Robert Luberda <robert@debian.org>
+# Copyright (C) 2000-2004, 2010, 2012  Robert Luberda <robert@debian.org>
 # This file is distributed under the same license as the apt package.
 # This file is distributed under the same license as the apt package.
 #
 #
 # Translators:
 # Translators:
@@ -9,17 +9,17 @@
 # Robert Luberda <robert@debian.org> 2000-2004, 2010, 2012.
 # Robert Luberda <robert@debian.org> 2000-2004, 2010, 2012.
 msgid ""
 msgid ""
 msgstr ""
 msgstr ""
-"Project-Id-Version: apt 0.9.5.1\n"
+"Project-Id-Version: apt 0.9.7.3\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
-"POT-Creation-Date: 2012-06-09 22:05+0300\n"
-"PO-Revision-Date: 2012-06-02 11:31+0200\n"
+"POT-Creation-Date: 2012-07-28 21:59+0300\n"
+"PO-Revision-Date: 2012-07-28 21:59+0200\n"
 "Last-Translator: Robert Luberda <robert@debian.org>\n"
 "Last-Translator: Robert Luberda <robert@debian.org>\n"
 "Language-Team: Polish <manpages-pl-list@lists.sourceforge.net>\n"
 "Language-Team: Polish <manpages-pl-list@lists.sourceforge.net>\n"
-"Language: \n"
+"Language: pl\n"
 "MIME-Version: 1.0\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: Lokalize 1.2\n"
+"X-Generator: Lokalize 1.4\n"
 "Plural-Forms: nplurals=3; plural=(n==1 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 "
 "Plural-Forms: nplurals=3; plural=(n==1 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 "
 "|| n%100>=20) ? 1 : 2);\n"
 "|| n%100>=20) ? 1 : 2);\n"
 
 
@@ -964,14 +964,6 @@ msgstr ""
 
 
 #. type: Content of: <refentry><refsect1><variablelist><varlistentry><listitem><para>
 #. type: Content of: <refentry><refsect1><variablelist><varlistentry><listitem><para>
 #: apt-get.8.xml:172
 #: apt-get.8.xml:172
-#, fuzzy
-#| msgid ""
-#| "Source packages are tracked separately from binary packages via "
-#| "<literal>deb-src</literal> type lines in the &sources-list; file. This "
-#| "means that you will need to add such a line for each repository you want "
-#| "to get sources from. If you don't do this you will properly get another "
-#| "(newer, older or none) source version than the one you have installed or "
-#| "could install."
 msgid ""
 msgid ""
 "Source packages are tracked separately from binary packages via <literal>deb-"
 "Source packages are tracked separately from binary packages via <literal>deb-"
 "src</literal> lines in the &sources-list; file. This means that you will "
 "src</literal> lines in the &sources-list; file. This means that you will "
@@ -979,12 +971,12 @@ msgid ""
 "otherwise you will probably get either the wrong (too old/too new) source "
 "otherwise you will probably get either the wrong (too old/too new) source "
 "versions or none at all."
 "versions or none at all."
 msgstr ""
 msgstr ""
-"Pakiety źródłowe są znajdowane inaczej niż pakiety binarne: przez linie z "
-"identyfikatorem <literal>deb-src</literal> w pliku &sources-list;. Oznacza "
-"to, że w pliku tym należy umieścić taką linię dla każdego repozytorium, z "
-"którego będą pobierane źródła. W przeciwnym wypadku może zostać pobrany "
-"pakiet źródłowy w innej wersji (nowszej, starszej albo żadnej) niż ta, który "
-"jest zainstalowana lub możliwa do zainstalowania."
+"Pakiety źródłowe są znajdowane inaczej niż pakiety binarne: przez linie "
+"<literal>deb-src</literal> w pliku &sources-list;. Oznacza to, że w pliku "
+"tym należy umieścić taką linię dla każdego repozytorium, z którego będą "
+"pobierane źródła. W przeciwnym wypadku albo może zostać pobrana niepoprawna "
+"(zbyt stara lub zbyt nowa) wersja pakietu źródłowego, albo może nie być "
+"możliwe pobranie jakiejkolwiek wersji pakietu."
 
 
 #. type: Content of: <refentry><refsect1><variablelist><varlistentry><listitem><para>
 #. type: Content of: <refentry><refsect1><variablelist><varlistentry><listitem><para>
 #: apt-get.8.xml:178
 #: apt-get.8.xml:178
@@ -1017,22 +1009,17 @@ msgstr ""
 "zostaje dokładne dopasowywanie nazw i wersji pakietów źródłowych i pośrednio "
 "zostaje dokładne dopasowywanie nazw i wersji pakietów źródłowych i pośrednio "
 "włączona zostaje opcja <literal>APT::Get::Only-Source</literal>"
 "włączona zostaje opcja <literal>APT::Get::Only-Source</literal>"
 
 
-#
 #. type: Content of: <refentry><refsect1><variablelist><varlistentry><listitem><para>
 #. type: Content of: <refentry><refsect1><variablelist><varlistentry><listitem><para>
 #: apt-get.8.xml:191
 #: apt-get.8.xml:191
-#, fuzzy
-#| msgid ""
-#| "Note that source packages are not tracked like binary packages, they "
-#| "exist only in the current directory and are similar to downloading source "
-#| "tar balls."
 msgid ""
 msgid ""
 "Note that source packages are not installed and tracked in the "
 "Note that source packages are not installed and tracked in the "
 "<command>dpkg</command> database like binary packages; they are simply "
 "<command>dpkg</command> database like binary packages; they are simply "
 "downloaded to the current directory, like source tarballs."
 "downloaded to the current directory, like source tarballs."
 msgstr ""
 msgstr ""
-"Uwaga. Pakiety źródłowe nie są traktowane tak samo, jak pakiety binarne - są "
-"przechowywane tylko w bieżącym katalogu, mniej więcej tak, jakby zostały "
-"ściągnięte oryginalne źródła programu ze strony jego autorów."
+"Proszę zauważyć, że w odróżnieniu od pakietów binarnych, pakiety źródłowe "
+"nie są instalowane i zapamiętywane w bazie danych <command>dpkg</command>, "
+"ale są po prostu pobierane do bieżącego katalogu jako archiwa programu "
+"<command>tar</command>."
 
 
 #. type: Content of: <refentry><refsect1><variablelist><varlistentry><listitem><para>
 #. type: Content of: <refentry><refsect1><variablelist><varlistentry><listitem><para>
 #: apt-get.8.xml:197
 #: apt-get.8.xml:197
@@ -1238,18 +1225,8 @@ msgstr ""
 "wcześniej ściągnięte.  Pozycja w pliku konfiguracyjnym: <literal>APT::Get::"
 "wcześniej ściągnięte.  Pozycja w pliku konfiguracyjnym: <literal>APT::Get::"
 "Download</literal>."
 "Download</literal>."
 
 
-#
 #. type: Content of: <refentry><refsect1><variablelist><varlistentry><listitem><para>
 #. type: Content of: <refentry><refsect1><variablelist><varlistentry><listitem><para>
 #: apt-get.8.xml:311
 #: apt-get.8.xml:311
-#, fuzzy
-#| msgid ""
-#| "Quiet; produces output suitable for logging, omitting progress "
-#| "indicators.  More q's will produce more quiet up to a maximum of 2. You "
-#| "can also use <option>-q=#</option> to set the quiet level, overriding the "
-#| "configuration file.  Note that quiet level 2 implies <option>-y</option>, "
-#| "you should never use -qq without a no-action modifier such as -d, --print-"
-#| "uris or -s as APT may decided to do something you did not expect.  "
-#| "Configuration Item: <literal>quiet</literal>."
 msgid ""
 msgid ""
 "Quiet; produces output suitable for logging, omitting progress indicators.  "
 "Quiet; produces output suitable for logging, omitting progress indicators.  "
 "More q's will produce more quiet up to a maximum of 2. You can also use "
 "More q's will produce more quiet up to a maximum of 2. You can also use "
@@ -1266,7 +1243,7 @@ msgstr ""
 "zauważyć, że poziom cichości równy 2 implikuje <option>-y</option>, dlatego -"
 "zauważyć, że poziom cichości równy 2 implikuje <option>-y</option>, dlatego -"
 "qq nigdy nie powinno być używane bez opcji typu -d, --print-uris lub -s, "
 "qq nigdy nie powinno być używane bez opcji typu -d, --print-uris lub -s, "
 "gdyż APT może zadecydować o zrobieniu czegoś, czego użytkownik się nie "
 "gdyż APT może zadecydować o zrobieniu czegoś, czego użytkownik się nie "
-"spodziewa.  Pozycja w pliku konfiguracyjnym: <literal>quiet</literal>."
+"spodziewa. Pozycja w pliku konfiguracyjnym: <literal>quiet</literal>."
 
 
 #
 #
 #. type: Content of: <refentry><refsect1><variablelist><varlistentry><listitem><para>
 #. type: Content of: <refentry><refsect1><variablelist><varlistentry><listitem><para>
@@ -1282,15 +1259,6 @@ msgstr ""
 
 
 #. type: Content of: <refentry><refsect1><variablelist><varlistentry><listitem><para>
 #. type: Content of: <refentry><refsect1><variablelist><varlistentry><listitem><para>
 #: apt-get.8.xml:330
 #: apt-get.8.xml:330
-#, fuzzy
-#| msgid ""
-#| "Simulation run as user will deactivate locking (<literal>Debug::"
-#| "NoLocking</literal>)  automatic. Also a notice will be displayed "
-#| "indicating that this is only a simulation, if the option <literal>APT::"
-#| "Get::Show-User-Simulation-Note</literal> is set (Default: true).  Neither "
-#| "NoLocking nor the notice will be triggered if run as root (root should "
-#| "know what he is doing without further warnings by <literal>apt-get</"
-#| "literal>)."
 msgid ""
 msgid ""
 "Simulated runs performed as a user will automatically deactivate locking "
 "Simulated runs performed as a user will automatically deactivate locking "
 "(<literal>Debug::NoLocking</literal>), and if the option <literal>APT::Get::"
 "(<literal>Debug::NoLocking</literal>), and if the option <literal>APT::Get::"
@@ -1300,24 +1268,17 @@ msgid ""
 "should know what they are doing without further warnings from <literal>apt-"
 "should know what they are doing without further warnings from <literal>apt-"
 "get</literal>."
 "get</literal>."
 msgstr ""
 msgstr ""
-"Symulacja uruchomiona przez zwykłego użytkownika automatycznie wyłączy "
-"blokady (<literal>Debug::NoLocking</literal>) . Jeżeli jest ustawiona opcja "
-"<literal>APT::Get::Show-User-Simulation-Note</literal> (a domyślnie jest ona "
-"ustawiona), to zostanie wyświetlona informacja o tym, że to jest tylko "
-"symulacja. W przypadku uruchomienia przez administratora systemu, blokada "
-"nie zostanie wyłączona, ani informacja nie będzie pokazana (użytkownik root "
-"powinien wiedzieć, co robi,bez dodatkowych ostrzeżeń ze strony <literal>apt-"
-"get</literal>)."
+"Symulowane uruchomienia przeprowadzane przez przez zwykłego użytkownika "
+"automatycznie wyłączą blokady (<literal>Debug::NoLocking</literal>). Jeżeli "
+"jest ustawiona opcja <literal>APT::Get::Show-User-Simulation-Note</literal> "
+"(a domyślnie jest ona ustawiona), to zostanie wyświetlona informacja o tym, "
+"że to jest tylko symulacja. Symulacje przeprowadzane przez administratora "
+"systemu nie powodują wyłączenia blokad ani nie pokazują informacji - "
+"administratorzy powinni wiedzieć, co robią, bez dodatkowych ostrzeżeń ze "
+"strony <literal>apt-get</literal>."
 
 
-#
 #. type: Content of: <refentry><refsect1><variablelist><varlistentry><listitem><para>
 #. type: Content of: <refentry><refsect1><variablelist><varlistentry><listitem><para>
 #: apt-get.8.xml:338
 #: apt-get.8.xml:338
-#, fuzzy
-#| msgid ""
-#| "Simulate prints out a series of lines each one representing a dpkg "
-#| "operation, Configure (Conf), Remove (Remv), Unpack (Inst). Square "
-#| "brackets indicate broken packages and empty set of square brackets "
-#| "meaning breaks that are of no consequence (rare)."
 msgid ""
 msgid ""
 "Simulated runs print out a series of lines, each representing a "
 "Simulated runs print out a series of lines, each representing a "
 "<command>dpkg</command> operation: configure (<literal>Conf</literal>), "
 "<command>dpkg</command> operation: configure (<literal>Conf</literal>), "
@@ -1325,11 +1286,12 @@ msgid ""
 "Square brackets indicate broken packages, and empty square brackets indicate "
 "Square brackets indicate broken packages, and empty square brackets indicate "
 "breaks that are of no consequence (rare)."
 "breaks that are of no consequence (rare)."
 msgstr ""
 msgstr ""
-"Symulacja powoduje wypisanie serii linii, z których każda reprezentuje "
-"operację programu dpkg: konfigurowanie (Conf), usunięcie (Remv), "
-"rozpakowanie (Inst). Nawiasy kwadratowe oznaczają zepsute pakiety, przy czym "
-"puste nawiasy kwadratowe oznaczają, że przyczyna zepsucia pakietu nie jest "
-"znana (rzadkość)."
+"Symulacja uruchomienia, powodująca wypisanie serii linii, z których każda "
+"reprezentuje operację programu <command>dpkg</command>: konfigurowanie "
+"(<literal>Conf</literal>), usunięcie (<literal>Remv</literal>) lub "
+"rozpakowanie (<literal>Inst</literal>). Nawiasy kwadratowe oznaczają zepsute "
+"pakiety, przy czym puste nawiasy kwadratowe oznaczają, że przyczyna zepsucia "
+"pakietu nie jest znana (rzadkość)."
 
 
 #
 #
 #. type: Content of: <refentry><refsect1><variablelist><varlistentry><listitem><para>
 #. type: Content of: <refentry><refsect1><variablelist><varlistentry><listitem><para>
@@ -1513,17 +1475,8 @@ msgstr ""
 "Ponownie instaluje pakiety, których najnowsza wersja już jest zainstalowana "
 "Ponownie instaluje pakiety, których najnowsza wersja już jest zainstalowana "
 "Pozycja w pliku konfiguracyjnym: <literal>APT::Get::ReInstall</literal>."
 "Pozycja w pliku konfiguracyjnym: <literal>APT::Get::ReInstall</literal>."
 
 
-#
 #. type: Content of: <refentry><refsect1><variablelist><varlistentry><listitem><para>
 #. type: Content of: <refentry><refsect1><variablelist><varlistentry><listitem><para>
 #: apt-get.8.xml:440
 #: apt-get.8.xml:440
-#, fuzzy
-#| msgid ""
-#| "This option defaults to on, use <literal>--no-list-cleanup</literal> to "
-#| "turn it off. When on <command>apt-get</command> will automatically manage "
-#| "the contents of <filename>&statedir;/lists</filename> to ensure that "
-#| "obsolete files are erased.  The only reason to turn it off is if you "
-#| "frequently change your source list.  Configuration Item: <literal>APT::"
-#| "Get::List-Cleanup</literal>."
 msgid ""
 msgid ""
 "This option is on by default; use <literal>--no-list-cleanup</literal> to "
 "This option is on by default; use <literal>--no-list-cleanup</literal> to "
 "turn it off. When it is on, <command>apt-get</command> will automatically "
 "turn it off. When it is on, <command>apt-get</command> will automatically "
@@ -1536,7 +1489,7 @@ msgstr ""
 "list-cleanup</literal>. Jeżeli jest włączona, <command>apt-get</command> "
 "list-cleanup</literal>. Jeżeli jest włączona, <command>apt-get</command> "
 "będzie automatycznie zarządzał zawartością <filename>&statedir;/lists</"
 "będzie automatycznie zarządzał zawartością <filename>&statedir;/lists</"
 "filename>,tak aby przestarzałe pliki były usuwane. Jedynym powodem dla jej "
 "filename>,tak aby przestarzałe pliki były usuwane. Jedynym powodem dla jej "
-"wyłączenia mogłyby być częste zmiany w sources.list.  Pozycja w pliku "
+"wyłączenia mogłyby być częste zmiany w sources.list. Pozycja w pliku "
 "konfiguracyjnym: <literal>APT::Get::List-Cleanup</literal>."
 "konfiguracyjnym: <literal>APT::Get::List-Cleanup</literal>."
 
 
 #
 #
@@ -2424,14 +2377,6 @@ msgstr ""
 
 
 #. type: Content of: <refentry><refsect1><variablelist><varlistentry><listitem><para>
 #. type: Content of: <refentry><refsect1><variablelist><varlistentry><listitem><para>
 #: apt-key.8.xml:144
 #: apt-key.8.xml:144
-#, fuzzy
-#| msgid ""
-#| "Work similar to the <command>update</command> command above, but get the "
-#| "archive keyring from an URI instead and validate it against a master "
-#| "key.  This requires an installed &wget; and an APT build configured to "
-#| "have a server to fetch from and a master keyring to validate.  APT in "
-#| "Debian does not support this command and relies on <command>update</"
-#| "command> instead, but Ubuntu's APT does."
 msgid ""
 msgid ""
 "Perform an update working similarly to the <command>update</command> command "
 "Perform an update working similarly to the <command>update</command> command "
 "above, but get the archive keyring from a URI instead and validate it "
 "above, but get the archive keyring from a URI instead and validate it "
@@ -2440,12 +2385,13 @@ msgid ""
 "APT in Debian does not support this command, relying on <command>update</"
 "APT in Debian does not support this command, relying on <command>update</"
 "command> instead, but Ubuntu's APT does."
 "command> instead, but Ubuntu's APT does."
 msgstr ""
 msgstr ""
-"Działa podobnie do powyższego polecenia <command>update</command>, ale "
-"pobiera składnicę kluczy archiwum z URI i waliduje go względem klucza "
-"głównego. Wymaga zainstalowanego programu &wget; oraz podanego (podczas  "
-"budowania APT) serwera, z którego główny klucz będzie pobrany. APT w "
-"Debianie nie obsługuje tego polecenia i opiera się zamiast niego na "
-"poleceniu  <command>update</command>, ale APT w Ubuntu je obsługuje."
+"Aktualizuje składnicę kluczy, działając podobnie do powyższego polecenia "
+"<command>update</command>, z tą różnicą, że pobiera składnicę kluczy "
+"archiwum z URI i waliduje go względem klucza głównego. Wymaga "
+"zainstalowanego programu &wget; oraz podanego (podczas budowania APT) "
+"serwera, z którego główny klucz będzie pobrany. APT w Debianie nie obsługuje "
+"tego polecenia i opiera się zamiast niego na poleceniu <command>update</"
+"command>, ale APT w Ubuntu je obsługuje."
 
 
 #. type: Content of: <refentry><refsect1><title>
 #. type: Content of: <refentry><refsect1><title>
 #: apt-key.8.xml:160 apt-cdrom.8.xml:80
 #: apt-key.8.xml:160 apt-cdrom.8.xml:80
@@ -2745,15 +2691,6 @@ msgstr ""
 
 
 #. type: Content of: <refentry><refsect1><para>
 #. type: Content of: <refentry><refsect1><para>
 #: apt-secure.8.xml:102
 #: apt-secure.8.xml:102
-#, fuzzy
-#| msgid ""
-#| "Once the uploaded package is verified and included in the archive, the "
-#| "maintainer signature is stripped off, and an MD5 sum of the package is "
-#| "computed and put in the Packages file. The MD5 sums of all of the "
-#| "Packages files are then computed and put into the Release file. The "
-#| "Release file is then signed by the archive key (which is created once a "
-#| "year) and distributed through the FTP server. This key is also on the "
-#| "Debian keyring."
 msgid ""
 msgid ""
 "Once the uploaded package is verified and included in the archive, the "
 "Once the uploaded package is verified and included in the archive, the "
 "maintainer signature is stripped off, and checksums of the package are "
 "maintainer signature is stripped off, and checksums of the package are "
@@ -2765,32 +2702,25 @@ msgid ""
 "keyring</package> package."
 "keyring</package> package."
 msgstr ""
 msgstr ""
 "Po tym jak dostarczony przez opiekuna pakiet zostanie zweryfikowany i "
 "Po tym jak dostarczony przez opiekuna pakiet zostanie zweryfikowany i "
-"dołączony do archiwum, sygnatura opiekuna jest usuwana, a suma MD5 pakietu "
-"jest wyliczana  i umieszczana w pliku Packages. Sumy kontrolne MD5 "
+"dołączony do archiwum, sygnatura opiekuna jest usuwana, a sumy kontrolne "
+"pakietu są wyliczane i umieszczane w pliku Packages. Sumy kontrolne "
 "wszystkich plików Packages są następnie wyliczane i umieszczane w pliku "
 "wszystkich plików Packages są następnie wyliczane i umieszczane w pliku "
-"Release. Plik Release jest następnie podpisywany przy użyciu (tworzonego co "
-"roku) klucza archiwum  i dystrybuowany przy użyciu serwerów FTP. Klucz "
-"archiwum znajduje się także w składnicy kluczy Debiana."
+"Release. Plik Release jest następnie podpisywany przy użyciu klucza archiwum "
+"tego wydania dystrybucji Debiana i dystrybuowany wraz z pakietami i plikami "
+"Packages przez serwery lustrzane Debiana. Klucze archiwum znajdują się w "
+"składnicy kluczy Debiana dostępnej w pakiecie <package>debian-archive-"
+"keyring</package>."
 
 
 #. type: Content of: <refentry><refsect1><para>
 #. type: Content of: <refentry><refsect1><para>
 #: apt-secure.8.xml:113
 #: apt-secure.8.xml:113
-#, fuzzy
-#| msgid ""
-#| "Any end user can check the signature of the Release file, extract the MD5 "
-#| "sum of a package from it and compare it with the MD5 sum of the package "
-#| "he downloaded. Prior to version 0.6 only the MD5 sum of the downloaded "
-#| "Debian package was checked. Now both the MD5 sum and the signature of the "
-#| "Release file are checked."
 msgid ""
 msgid ""
 "End users can check the signature of the Release file, extract a checksum of "
 "End users can check the signature of the Release file, extract a checksum of "
 "a package from it and compare it with the checksum of the package they "
 "a package from it and compare it with the checksum of the package they "
 "downloaded by hand - or rely on APT doing this automatically."
 "downloaded by hand - or rely on APT doing this automatically."
 msgstr ""
 msgstr ""
-"Użytkownik końcowy może sprawdzić sygnaturę pliku Release, wydobyć z niego "
+"Użytkownicy końcowi mogą sprawdzić sygnaturę pliku Release, wydobyć z niego "
 "sumę kontrolną MD5 pakietu i porównać ją z sumą kontrolną MD5 pobranego "
 "sumę kontrolną MD5 pakietu i porównać ją z sumą kontrolną MD5 pobranego "
-"pakietu. Do wersji 0.6 były sprawdzane tylko sumy MD5 pobieranych pakietów "
-"Debiana. Obecnie sprawdzane są zarówno sumy MD5, jaki i sygnatury plików "
-"Release."
+"pakietu. Mogą też polegać na tym, że APT zrobi to automatycznie."
 
 
 #. type: Content of: <refentry><refsect1><para>
 #. type: Content of: <refentry><refsect1><para>
 #: apt-secure.8.xml:118
 #: apt-secure.8.xml:118
@@ -3159,13 +3089,6 @@ msgstr ""
 
 
 #. type: Content of: <refentry><refsect1><variablelist><varlistentry><listitem><para>
 #. type: Content of: <refentry><refsect1><variablelist><varlistentry><listitem><para>
 #: apt-config.8.xml:51
 #: apt-config.8.xml:51
-#, fuzzy
-#| msgid ""
-#| "shell is used to access the configuration information from a shell "
-#| "script. It is given pairs of arguments, the first being a shell variable "
-#| "and the second the configuration value to query. As output it lists a "
-#| "series of shell assignments commands for each present value.  In a shell "
-#| "script it should be used like:"
 msgid ""
 msgid ""
 "shell is used to access the configuration information from a shell script. "
 "shell is used to access the configuration information from a shell script. "
 "It is given pairs of arguments, the first being a shell variable and the "
 "It is given pairs of arguments, the first being a shell variable and the "
@@ -3176,7 +3099,7 @@ msgstr ""
 "shell pozwala skryptom powłoki na uzyskanie informacji o konfiguracji. "
 "shell pozwala skryptom powłoki na uzyskanie informacji o konfiguracji. "
 "Wymaga podania pary argumentów: pierwszym z nich jest zmienna powłoki, a "
 "Wymaga podania pary argumentów: pierwszym z nich jest zmienna powłoki, a "
 "drugim nazwa zmiennej konfiguracyjnej do odczytania. Wyjściem jest lista "
 "drugim nazwa zmiennej konfiguracyjnej do odczytania. Wyjściem jest lista "
-"przypisań zmiennych powłoki dla każdej odczytanej  wartości konfiguracji. "
+"przypisań zmiennych powłoki dla każdej odczytanej wartości konfiguracji. "
 "Przykład użycia w skrypcie powłoki:"
 "Przykład użycia w skrypcie powłoki:"
 
 
 #. type: Content of: <refentry><refsect1><variablelist><varlistentry><listitem><informalexample><programlisting>
 #. type: Content of: <refentry><refsect1><variablelist><varlistentry><listitem><informalexample><programlisting>
@@ -3232,15 +3155,6 @@ msgstr "&percnt;f &#x0022;&percnt;v&#x0022;;&percnt;n"
 
 
 #. type: Content of: <refentry><refsect1><variablelist><varlistentry><listitem><para>
 #. type: Content of: <refentry><refsect1><variablelist><varlistentry><listitem><para>
 #: apt-config.8.xml:96
 #: apt-config.8.xml:96
-#, fuzzy
-#| msgid ""
-#| "Defines the output of each config option. &percnt;t will be replaced with "
-#| "the name of the option, &percnt;f with the complete optionname and "
-#| "&percnt;v with the value of the option.  Use uppercase letters and "
-#| "special characters in the value will be encoded to ensure that it can e."
-#| "g. be savely used in a quoted-string as defined by RFC822. Additionally "
-#| "&percnt;n will be replaced by a newline, &percnt;N by a tab. A &percnt; "
-#| "can be printed by using &percnt;&percnt;."
 msgid ""
 msgid ""
 "Defines the output of each config option. &percnt;t will be replaced with "
 "Defines the output of each config option. &percnt;t will be replaced with "
 "its individual name, &percnt;f with its full hierarchical name and &percnt;v "
 "its individual name, &percnt;f with its full hierarchical name and &percnt;v "
@@ -3250,12 +3164,13 @@ msgid ""
 "and &percnt;N by a tab. A &percnt; can be printed by using &percnt;&percnt;."
 "and &percnt;N by a tab. A &percnt; can be printed by using &percnt;&percnt;."
 msgstr ""
 msgstr ""
 "Definiuje wyjście każdej opcji konfiguracji. &percnt;t zostanie zastąpiony "
 "Definiuje wyjście każdej opcji konfiguracji. &percnt;t zostanie zastąpiony "
-"nazwą znacznika, &percnt;f - pełną nazwą opcji, a &percnt;v - wartością "
-"opcji. Jeśli użyje się dużych liter, to znaki specjalne występujące w "
-"wartości zostaną zakodowane, w taki sposób, żeby można ich było bezpiecznie "
-"użyć wewnątrz łańcuchów typu \"quoted-string\" definiowanych przez RFC822. "
-"Dodatkowo &percnt;n będzie zastąpiony przez znak nowej linii, a &percnt;N "
-"przez znak tabulacji. Znak &percnt; można uzyskać, używając &percnt;&percnt;."
+"indywidualną nazwą znacznika, &percnt;f - pełną nazwą hierarchiczną opcji, a "
+"&percnt;v - wartością opcji. Jeśli użyje się dużych liter, to znaki "
+"specjalne występujące w wartości zostaną zakodowane, w taki sposób, żeby "
+"można ich było bezpiecznie użyć wewnątrz łańcuchów typu \"quoted-string\" "
+"definiowanych przez RFC822. Dodatkowo &percnt;n będzie zastąpiony przez znak "
+"nowej linii, a &percnt;N przez znak tabulacji. Znak &percnt; można uzyskać, "
+"używając &percnt;&percnt;."
 
 
 #. type: Content of: <refentry><refsect1><para>
 #. type: Content of: <refentry><refsect1><para>
 #: apt-config.8.xml:110 apt-extracttemplates.1.xml:71 apt-sortpkgs.1.xml:64
 #: apt-config.8.xml:110 apt-extracttemplates.1.xml:71 apt-sortpkgs.1.xml:64
@@ -3295,22 +3210,16 @@ msgstr "Plik konfiguracyjny dla APT"
 
 
 #. type: Content of: <refentry><refsect1><para>
 #. type: Content of: <refentry><refsect1><para>
 #: apt.conf.5.xml:42
 #: apt.conf.5.xml:42
-#, fuzzy
-#| msgid ""
-#| "<filename>apt.conf</filename> is the main configuration file for the APT "
-#| "suite of tools, but by far not the only place changes to options can be "
-#| "made. All tools therefore share the configuration files and also use a "
-#| "common command line parser to provide a uniform environment."
 msgid ""
 msgid ""
 "<filename>/etc/apt/apt.conf</filename> is the main configuration file shared "
 "<filename>/etc/apt/apt.conf</filename> is the main configuration file shared "
 "by all the tools in the APT suite of tools, though it is by no means the "
 "by all the tools in the APT suite of tools, though it is by no means the "
 "only place options can be set. The suite also shares a common command line "
 "only place options can be set. The suite also shares a common command line "
 "parser to provide a uniform environment."
 "parser to provide a uniform environment."
 msgstr ""
 msgstr ""
-"<filename>apt.conf</filename> jest głównym plikiem konfiguracyjnym dla "
-"pakietu narzędzi APT. ale nie jest jedynym miejscem, w którym mogą być "
-"zmieniane opcje konfiguracji. Wszystkie narzędzia współdzielą pliki "
-"konfiguracyjne i używają wspólnego parsera linii poleceń, zapewniając "
+"<filename>/etc/apt/apt.conf</filename> jest głównym plikiem konfiguracyjnym "
+"dzielonym przez wszystkie narzędzia pakietu APT. Nie jest jednak jedynym "
+"miejscem, w którym mogą być zmieniane opcje konfiguracji. Wszystkie "
+"narzędzia używają także wspólnego parsera linii poleceń, zapewniając "
 "jednolite środowisko pracy."
 "jednolite środowisko pracy."
 
 
 #. type: Content of: <refentry><refsect1><orderedlist><para>
 #. type: Content of: <refentry><refsect1><orderedlist><para>
@@ -3333,14 +3242,6 @@ msgstr ""
 
 
 #. type: Content of: <refentry><refsect1><orderedlist><listitem><para>
 #. type: Content of: <refentry><refsect1><orderedlist><listitem><para>
 #: apt.conf.5.xml:52
 #: apt.conf.5.xml:52
-#, fuzzy
-#| msgid ""
-#| "The <filename>/etc/apt/sources.list.d</filename> directory provides a way "
-#| "to add sources.list entries in separate files.  The format is the same as "
-#| "for the regular <filename>sources.list</filename> file.  File names need "
-#| "to end with <filename>.list</filename> and may only contain letters (a-z "
-#| "and A-Z), digits (0-9), underscore (_), hyphen (-) and period (.) "
-#| "characters.  Otherwise they will be silently ignored."
 msgid ""
 msgid ""
 "all files in <literal>Dir::Etc::Parts</literal> in alphanumeric ascending "
 "all files in <literal>Dir::Etc::Parts</literal> in alphanumeric ascending "
 "order which have either no or \"<literal>conf</literal>\" as filename "
 "order which have either no or \"<literal>conf</literal>\" as filename "
@@ -3350,12 +3251,14 @@ msgid ""
 "Ignore-Files-Silently</literal> configuration list - in which case it will "
 "Ignore-Files-Silently</literal> configuration list - in which case it will "
 "be silently ignored."
 "be silently ignored."
 msgstr ""
 msgstr ""
-"Katalog <filename>/etc/apt/sources.list.d</filename>  umożliwia podzielenie "
-"pliku źródeł na osobne pliki. Format jest dokładnie taki sam, jak w "
-"przypadku zwykłego pliku <filename>sources.list</filename>. Nazwy plików w "
-"tym katalogu muszą się kończyć rozszerzeniem <filename>.list</filename> i "
-"mogą składać się tylko z liter (a-z i A-Z), cyfr (0-9), znaku podkreślenia "
-"(_), pauzy (-) i kropki (.). Inne pliki zostaną zignorowane."
+"wszystkie pliki w <literal>Dir::Etc::Parts</literal> w rosnącym porządku "
+"alfanumerycznym, których nazwy nie mają rozszerzenia lub mają rozszerzenie "
+"\"<literal>conf</literal>\" i składają się tylko ze znaków alfanumerycznych, "
+"myślników (-), podkreśleń (_) i kropek (.). W przeciwnym wypadku APT "
+"wyświetli informacje o zignorowaniu pliku, o ile nazwa tego pliku pasuje do "
+"wzorca skonfigurowanego w opcji <literal>Dir::Ignore-Files-Silently</"
+"literal>, w którym to przypadku plik zostanie zignorowany bez wypisywania "
+"żadnych informacji."
 
 
 #. type: Content of: <refentry><refsect1><orderedlist><listitem><para>
 #. type: Content of: <refentry><refsect1><orderedlist><listitem><para>
 #: apt.conf.5.xml:59
 #: apt.conf.5.xml:59
@@ -3366,13 +3269,12 @@ msgstr ""
 
 
 #. type: Content of: <refentry><refsect1><orderedlist><listitem><para>
 #. type: Content of: <refentry><refsect1><orderedlist><listitem><para>
 #: apt.conf.5.xml:61
 #: apt.conf.5.xml:61
-#, fuzzy
 msgid ""
 msgid ""
 "the command line options are applied to override the configuration "
 "the command line options are applied to override the configuration "
 "directives or to load even more configuration files."
 "directives or to load even more configuration files."
 msgstr ""
 msgstr ""
-"opcje linii poleceń nadpisują dyrektywy konfiguracji, można także za ich "
-"pomocą załadować kolejne pliki konfiguracyjne"
+"opcje linii poleceń są stosowane do nadpisania dyrektyw konfiguracji lub do "
+"załadowania kolejnych plików konfiguracyjnych."
 
 
 #. type: Content of: <refentry><refsect1><title>
 #. type: Content of: <refentry><refsect1><title>
 #: apt.conf.5.xml:65
 #: apt.conf.5.xml:65
@@ -3388,6 +3290,11 @@ msgid ""
 "within the APT tool group, for the Get tool. Options do not inherit from "
 "within the APT tool group, for the Get tool. Options do not inherit from "
 "their parent groups."
 "their parent groups."
 msgstr ""
 msgstr ""
+"Plik konfiguracyjny jest zorganizowany jako struktura drzewiasta z opcjami "
+"podzielonymi według grup funkcjonalności. Specyfikacja opcji jest podawana w "
+"notacji podwójnych dwukropków, na przykład <literal>APT::Get::Assume-Yes</"
+"literal> jest opcją narzędzia Get w grupie narzędzi APT . Opcje nie "
+"dziedziczą ustawień od swoich przodków."
 
 
 #. type: Content of: <refentry><refsect1><para>
 #. type: Content of: <refentry><refsect1><para>
 #: apt.conf.5.xml:72
 #: apt.conf.5.xml:72
@@ -4691,16 +4598,6 @@ msgstr ""
 
 
 #. type: Content of: <refentry><refsect1><para>
 #. type: Content of: <refentry><refsect1><para>
 #: apt_preferences.5.xml:42
 #: apt_preferences.5.xml:42
-#, fuzzy
-#| msgid ""
-#| "Several versions of a package may be available for installation when the "
-#| "&sources-list; file contains references to more than one distribution "
-#| "(for example, <literal>stable</literal> and <literal>testing</literal>).  "
-#| "APT assigns a priority to each version that is available.  Subject to "
-#| "dependency constraints, <command>apt-get</command> selects the version "
-#| "with the highest priority for installation.  The APT preferences file "
-#| "overrides the priorities that APT assigns to package versions by default, "
-#| "thus giving the user control over which one is selected for installation."
 msgid ""
 msgid ""
 "Several versions of a package may be available for installation when the "
 "Several versions of a package may be available for installation when the "
 "&sources-list; file contains references to more than one distribution (for "
 "&sources-list; file contains references to more than one distribution (for "
@@ -4717,19 +4614,12 @@ msgstr ""
 "samego pakietu. APT nadaje priorytet każdej z dostępnych wersji. "
 "samego pakietu. APT nadaje priorytet każdej z dostępnych wersji. "
 "<command>apt-get</command> wybiera do zainstalowania wersję o najwyższym "
 "<command>apt-get</command> wybiera do zainstalowania wersję o najwyższym "
 "priorytecie (jeśli zależności pakietu pozwalają na jego zainstalowanie). "
 "priorytecie (jeśli zależności pakietu pozwalają na jego zainstalowanie). "
-"Plik preferencji APT nadpisuje domyślne priorytety ustawiane  wersjom "
-"pakietów, pozwalając użytkownikowi kontrolować, które wersje pakietów są "
-"wybierane do zainstalowania."
+"Preferencje APT nadpisują domyślne priorytety ustawiane wersjom pakietów, "
+"pozwalając użytkownikowi kontrolować, które wersje pakietów są wybierane do "
+"zainstalowania."
 
 
 #. type: Content of: <refentry><refsect1><para>
 #. type: Content of: <refentry><refsect1><para>
 #: apt_preferences.5.xml:52
 #: apt_preferences.5.xml:52
-#, fuzzy
-#| msgid ""
-#| "Several instances of the same version of a package may be available when "
-#| "the &sources-list; file contains references to more than one source.  In "
-#| "this case <command>apt-get</command> downloads the instance listed "
-#| "earliest in the &sources-list; file.  The APT preferences file does not "
-#| "affect the choice of instance, only the choice of version."
 msgid ""
 msgid ""
 "Several instances of the same version of a package may be available when the "
 "Several instances of the same version of a package may be available when the "
 "&sources-list; file contains references to more than one source.  In this "
 "&sources-list; file contains references to more than one source.  In this "
@@ -4740,7 +4630,7 @@ msgstr ""
 "Może być dostępnych kilka instancji tej samej wersji pakietu, jeśli plik "
 "Może być dostępnych kilka instancji tej samej wersji pakietu, jeśli plik "
 "&sources-list; zawiera odwołania do więcej niż jednego źródła. W takim "
 "&sources-list; zawiera odwołania do więcej niż jednego źródła. W takim "
 "wypadku <command>apt-get</command> pobierze instancję ze źródła wymienionego "
 "wypadku <command>apt-get</command> pobierze instancję ze źródła wymienionego "
-"najwcześniej w pliku &sources-list;. Plik preferencji APT nie ma wpływu na "
+"najwcześniej w pliku &sources-list;. Preferencje APT nie mają wpływu na "
 "wybór instancji, ale na wybór wersji."
 "wybór instancji, ale na wybór wersji."
 
 
 #. type: Content of: <refentry><refsect1><para>
 #. type: Content of: <refentry><refsect1><para>
@@ -6051,7 +5941,7 @@ msgstr "&apt-get; &apt-cache; &apt-conf; &sources-list;"
 #. type: Content of: <refentry><refnamediv><refpurpose>
 #. type: Content of: <refentry><refnamediv><refpurpose>
 #: sources.list.5.xml:33
 #: sources.list.5.xml:33
 msgid "List of configured APT data sources"
 msgid "List of configured APT data sources"
-msgstr ""
+msgstr "Lista skonfigurowanych źródeł danych APT"
 
 
 #. type: Content of: <refentry><refsect1><para>
 #. type: Content of: <refentry><refsect1><para>
 #: sources.list.5.xml:38
 #: sources.list.5.xml:38
@@ -6063,6 +5953,13 @@ msgid ""
 "<command>apt-get update</command> (or by an equivalent command from another "
 "<command>apt-get update</command> (or by an equivalent command from another "
 "APT front-end)."
 "APT front-end)."
 msgstr ""
 msgstr ""
+"Plik źródeł <filename>/etc/apt/sources.list</filename> został zaprojektowany "
+"tak, by obsłużyć dowolną liczbę aktywnych źródeł i różne nośniki źródeł. W "
+"każdej linii jest wymienione jedno źródło, linie są posortowane według "
+"preferencji źródeł, te najbardziej preferowane wymienione są na początku "
+"pliku. Informacje dostępne w skonfigurowanych źródłach są pobierane przez "
+"<command>apt-get update</command> (lub przez podobne polecenie innego "
+"programu użytkowego będącego interfejsem do systemu APT)."
 
 
 #. type: Content of: <refentry><refsect1><para>
 #. type: Content of: <refentry><refsect1><para>
 #: sources.list.5.xml:45
 #: sources.list.5.xml:45
@@ -6073,6 +5970,11 @@ msgid ""
 "and a <literal>#</literal> character anywhere on a line marks the remainder "
 "and a <literal>#</literal> character anywhere on a line marks the remainder "
 "of that line as a comment."
 "of that line as a comment."
 msgstr ""
 msgstr ""
+"Każda linia określająca źródło rozpoczyna się od typu (np. <literal>deb-src</"
+"literal>), po którym następują opcje i argumenty dla tego typu. Wpisy nie "
+"mogą być kontynuowane w nowych liniach. Puste linie są ignorowane, a znak "
+"\"<literal>#</literal> \" występujący gdziekolwiek w linii oznacza, że "
+"dalsza część linii stanowi komentarz."
 
 
 #. type: Content of: <refentry><refsect1><title>
 #. type: Content of: <refentry><refsect1><title>
 #: sources.list.5.xml:53
 #: sources.list.5.xml:53
@@ -6149,16 +6051,6 @@ msgstr "deb [ opcje ] uri dystrybucja [komponent1] [komponent2] [...]"
 
 
 #. type: Content of: <refentry><refsect1><para>
 #. type: Content of: <refentry><refsect1><para>
 #: sources.list.5.xml:83
 #: sources.list.5.xml:83
-#, fuzzy
-#| msgid ""
-#| "The URI for the <literal>deb</literal> type must specify the base of the "
-#| "Debian distribution, from which APT will find the information it needs.  "
-#| "<literal>distribution</literal> can specify an exact path, in which case "
-#| "the components must be omitted and <literal>distribution</literal> must "
-#| "end with a slash (<literal>/</literal>). This is useful for the case when "
-#| "only a particular sub-section of the archive denoted by the URI is of "
-#| "interest. If <literal>distribution</literal> does not specify an exact "
-#| "path, at least one <literal>component</literal> must be present."
 msgid ""
 msgid ""
 "The URI for the <literal>deb</literal> type must specify the base of the "
 "The URI for the <literal>deb</literal> type must specify the base of the "
 "Debian distribution, from which APT will find the information it needs.  "
 "Debian distribution, from which APT will find the information it needs.  "
@@ -6180,14 +6072,6 @@ msgstr ""
 
 
 #. type: Content of: <refentry><refsect1><para>
 #. type: Content of: <refentry><refsect1><para>
 #: sources.list.5.xml:92
 #: sources.list.5.xml:92
-#, fuzzy
-#| msgid ""
-#| "<literal>distribution</literal> may also contain a variable, <literal>"
-#| "$(ARCH)</literal> which expands to the Debian architecture (i386, amd64, "
-#| "powerpc, ...)  used on the system. This permits architecture-independent "
-#| "<filename>sources.list</filename> files to be used. In general this is "
-#| "only of interest when specifying an exact path, <literal>APT</literal> "
-#| "will automatically generate a URI with the current architecture otherwise."
 msgid ""
 msgid ""
 "<literal>distribution</literal> may also contain a variable, <literal>$(ARCH)"
 "<literal>distribution</literal> may also contain a variable, <literal>$(ARCH)"
 "</literal> which expands to the Debian architecture (such as <literal>amd64</"
 "</literal> which expands to the Debian architecture (such as <literal>amd64</"
@@ -6198,12 +6082,12 @@ msgid ""
 "architecture otherwise."
 "architecture otherwise."
 msgstr ""
 msgstr ""
 "<literal>Dystrybucja</literal> może zawierać także zmienną <literal>$(ARCH)</"
 "<literal>Dystrybucja</literal> może zawierać także zmienną <literal>$(ARCH)</"
-"literal>, która zostanie rozwinięta do architektury Debiana (i386, amd64, "
-"powerpc, ...) używanej w systemie. Pozwala to na używanie plików "
-"<filename>sources.list</filename> niezależnych od architektury. W ogólności "
-"jest to interesujące tylko wtedy, gdy podaje się dokładną ścieżkę, w innym "
-"przypadku <literal>APT</literal> automatycznie wygeneruje URI zawierający "
-"bieżącą architekturę."
+"literal>, która zostanie rozwinięta do architektury Debiana (takiej jak "
+"<literal>amd64</literal> lub <literal>armel</literal>) używanej w systemie. "
+"Pozwala to na używanie plików <filename>sources.list</filename> niezależnych "
+"od architektury. W ogólności jest to interesujące tylko wtedy, gdy podaje "
+"się dokładną ścieżkę, w innym przypadku <literal>APT</literal> automatycznie "
+"wygeneruje URI zawierający bieżącą architekturę."
 
 
 #
 #
 #. type: Content of: <refentry><refsect1><para>
 #. type: Content of: <refentry><refsect1><para>
@@ -6364,15 +6248,6 @@ msgstr ""
 
 
 #. type: Content of: <refentry><refsect1><para><variablelist><varlistentry><listitem><para>
 #. type: Content of: <refentry><refsect1><para><variablelist><varlistentry><listitem><para>
 #: sources.list.5.xml:172
 #: sources.list.5.xml:172
-#, fuzzy
-#| msgid ""
-#| "The ftp scheme specifies an FTP server for the archive. APT's FTP "
-#| "behavior is highly configurable; for more information see the &apt-conf; "
-#| "manual page. Please note that a ftp proxy can be specified by using the "
-#| "<envar>ftp_proxy</envar> environment variable. It is possible to specify "
-#| "a http proxy (http proxy servers often understand ftp urls)  using this "
-#| "method and ONLY this method. ftp proxies using http specified in the "
-#| "configuration file will be ignored."
 msgid ""
 msgid ""
 "The ftp scheme specifies an FTP server for the archive. APT's FTP behavior "
 "The ftp scheme specifies an FTP server for the archive. APT's FTP behavior "
 "is highly configurable; for more information see the &apt-conf; manual page. "
 "is highly configurable; for more information see the &apt-conf; manual page. "
@@ -6385,20 +6260,14 @@ msgid ""
 msgstr ""
 msgstr ""
 "Schemat ftp opisuje serwer FTP archiwum. Zachowanie modułu FTP można "
 "Schemat ftp opisuje serwer FTP archiwum. Zachowanie modułu FTP można "
 "dowolnie konfigurować, szczegóły można znaleźć na stronie podręcznika  &apt-"
 "dowolnie konfigurować, szczegóły można znaleźć na stronie podręcznika  &apt-"
-"conf;. Proszę zauważyć, że można podać serwer proxy ftp, używając zmiennej "
+"conf;. Proszę zauważyć, że można podać serwer proxy FTP, używając zmiennej "
 "środowiskowej <envar>ftp_proxy</envar>. Możliwe jest podanie serwera proxy "
 "środowiskowej <envar>ftp_proxy</envar>. Możliwe jest podanie serwera proxy "
-"http (które to serwery często rozumieją lokalizacje zasobów ftp) używając "
-"tej i TYLKO tej metody. Podane w pliku konfiguracyjnym serwery proxy ftp "
-"używające http zostaną zignorowane."
+"HTTP (które to serwery często rozumieją lokalizacje zasobów FTP), używając "
+"tej i <emphasis>tylko</emphasis> tej zmiennej środowiskowej. Podane w pliku "
+"konfiguracyjnym serwery proxy  używające HTTP zostaną zignorowane."
 
 
 #. type: Content of: <refentry><refsect1><para><variablelist><varlistentry><listitem><para>
 #. type: Content of: <refentry><refsect1><para><variablelist><varlistentry><listitem><para>
 #: sources.list.5.xml:184
 #: sources.list.5.xml:184
-#, fuzzy
-#| msgid ""
-#| "The copy scheme is identical to the file scheme except that packages are "
-#| "copied into the cache directory instead of used directly at their "
-#| "location.  This is useful for people using a zip disk to copy files "
-#| "around with APT."
 msgid ""
 msgid ""
 "The copy scheme is identical to the file scheme except that packages are "
 "The copy scheme is identical to the file scheme except that packages are "
 "copied into the cache directory instead of used directly at their location.  "
 "copied into the cache directory instead of used directly at their location.  "
@@ -6407,30 +6276,22 @@ msgid ""
 msgstr ""
 msgstr ""
 "Schemat copy jest identyczny ze schematem file, z tym wyjątkiem, że pakiety "
 "Schemat copy jest identyczny ze schematem file, z tym wyjątkiem, że pakiety "
 "nie są używane bezpośrednio z podanej lokalizacji, tylko są kopiowane do "
 "nie są używane bezpośrednio z podanej lokalizacji, tylko są kopiowane do "
-"katalogu bufora. Jest to użyteczne w przypadku używania dysku przenośnego do "
-"skopiowania plików przy użyciu APT."
+"katalogu bufora. Jest to użyteczne w przypadku używania nośnika przenośnego "
+"do skopiowania plików przy użyciu APT."
 
 
 #. type: Content of: <refentry><refsect1><para><variablelist><varlistentry><listitem><para>
 #. type: Content of: <refentry><refsect1><para><variablelist><varlistentry><listitem><para>
 #: sources.list.5.xml:191
 #: sources.list.5.xml:191
-#, fuzzy
-#| msgid ""
-#| "The rsh/ssh method invokes rsh/ssh to connect to a remote host as a given "
-#| "user and access the files. It is a good idea to do prior arrangements "
-#| "with RSA keys or rhosts.  Access to files on the remote uses standard "
-#| "<command>find</command> and <command>dd</command> commands to perform the "
-#| "file transfers from the remote."
 msgid ""
 msgid ""
 "The rsh/ssh method invokes RSH/SSH to connect to a remote host and access "
 "The rsh/ssh method invokes RSH/SSH to connect to a remote host and access "
 "the files as a given user. Prior configuration of rhosts or RSA keys is "
 "the files as a given user. Prior configuration of rhosts or RSA keys is "
 "recommended. The standard <command>find</command> and <command>dd</command> "
 "recommended. The standard <command>find</command> and <command>dd</command> "
 "commands are used to perform the file transfers from the remote host."
 "commands are used to perform the file transfers from the remote host."
 msgstr ""
 msgstr ""
-"Metoda rsh/ssh uruchamia rsh/ssh do połączenia się ze zdalnym komputerem "
-"jako podany użytkownik i uzyskania dostępu do plików. Dobrym pomysłem jest "
-"wcześniejsze przygotowanie kluczy RSA lub dostępu rhosts. APT, po uzyskaniu "
-"dostępu do plików na zdalnym komputerze, używa standardowych poleceń "
-"<command>find</command> i <command>dd</command> do przetransferowania plików "
-"ze zdalnego komputera."
+"Metoda rsh/ssh uruchamia RSH/SSH do połączenia się ze zdalnym komputerem i "
+"uzyskania dostępu do plików jako podany użytkownik. Dobrym pomysłem jest "
+"wcześniejsze przygotowanie kluczy RSA lub dostępu rhosts. APT używa "
+"standardowych poleceń <command>find</command> i <command>dd</command> do "
+"przetransferowania plików ze zdalnego komputera."
 
 
 #. type: Content of: <refentry><refsect1><para><variablelist><varlistentry><term>
 #. type: Content of: <refentry><refsect1><para><variablelist><varlistentry><term>
 #: sources.list.5.xml:198
 #: sources.list.5.xml:198
@@ -6439,15 +6300,6 @@ msgstr "dodawanie innych rozpoznawanych typów URI"
 
 
 #. type: Content of: <refentry><refsect1><para><variablelist><varlistentry><listitem><para>
 #. type: Content of: <refentry><refsect1><para><variablelist><varlistentry><listitem><para>
 #: sources.list.5.xml:200
 #: sources.list.5.xml:200
-#, fuzzy
-#| msgid ""
-#| "APT can be extended with more methods shipped in other optional packages "
-#| "which should follow the nameing scheme <package>apt-transport-"
-#| "<replaceable>method</replaceable></package>.  The APT team e.g. maintains "
-#| "also the <package>apt-transport-https</package> package which provides "
-#| "access methods for https-URIs with features similar to the http method, "
-#| "but other methods for using e.g. debtorrent are also available, see &apt-"
-#| "transport-debtorrent;."
 msgid ""
 msgid ""
 "APT can be extended with more methods shipped in other optional packages, "
 "APT can be extended with more methods shipped in other optional packages, "
 "which should follow the naming scheme <package>apt-transport-"
 "which should follow the naming scheme <package>apt-transport-"
@@ -6459,11 +6311,11 @@ msgid ""
 msgstr ""
 msgstr ""
 "APT może być rozszerzone o więcej metod, pochodzących z innych opcjonalnych "
 "APT może być rozszerzone o więcej metod, pochodzących z innych opcjonalnych "
 "pakietów, które powinny się nazywać <package>apt-transport-"
 "pakietów, które powinny się nazywać <package>apt-transport-"
-"<replaceable>metoda</replaceable></package>. Zespół APT opiekuje się na "
-"przykład pakietem <package>apt-transport-https</package>, dostarczającym "
-"metody dostępu dla URI typu https, działającej podobnie do metody http. "
-"Dostępne są również inne metody pozwalające na przykład używać debtorrenta, "
-"proszę zobaczyć &apt-transport-debtorrent;."
+"<replaceable>metoda</replaceable></package>. Na przykład zespół APT opiekuje "
+"się pakietem <package>apt-transport-https</package>, dostarczającym metody "
+"dostępu dla URI typu HTTPS, działającej podobnie do metody HTTP. Dostępne są "
+"również inne metody pozwalające na przykład używać debtorrenta, proszę "
+"zobaczyć &apt-transport-debtorrent;."
 
 
 #. type: Content of: <refentry><refsect1><para>
 #. type: Content of: <refentry><refsect1><para>
 #: sources.list.5.xml:212
 #: sources.list.5.xml:212
@@ -6692,8 +6544,6 @@ msgstr ""
 
 
 #. type: Content of: <refentry><refsect1><para>
 #. type: Content of: <refentry><refsect1><para>
 #: apt-sortpkgs.1.xml:45
 #: apt-sortpkgs.1.xml:45
-#, fuzzy
-#| msgid "All output is sent to stdout, the input must be a seekable file."
 msgid ""
 msgid ""
 "All output is sent to standard output; the input must be a seekable file."
 "All output is sent to standard output; the input must be a seekable file."
 msgstr ""
 msgstr ""
@@ -7073,10 +6923,11 @@ msgstr ""
 #. type: Content of: <refentry><refsect1><refsect2><variablelist><varlistentry><listitem><para>
 #. type: Content of: <refentry><refsect1><refsect2><variablelist><varlistentry><listitem><para>
 #: apt-ftparchive.1.xml:307
 #: apt-ftparchive.1.xml:307
 msgid ""
 msgid ""
-"Sets the output Contents file. Defaults to <filename>$(DIST)/$(SECTION)/Contents-$(ARCH)"
-"</filename>. If this setting causes multiple Packages files to map onto a "
-"single Contents file (as is the default)  then <command>apt-ftparchive</"
-"command> will integrate those package files together automatically."
+"Sets the output Contents file. Defaults to <filename>$(DIST)/$(SECTION)/"
+"Contents-$(ARCH)</filename>. If this setting causes multiple Packages files "
+"to map onto a single Contents file (as is the default)  then <command>apt-"
+"ftparchive</command> will integrate those package files together "
+"automatically."
 msgstr ""
 msgstr ""
 
 
 #. type: Content of: <refentry><refsect1><refsect2><variablelist><varlistentry><listitem><para>
 #. type: Content of: <refentry><refsect1><refsect2><variablelist><varlistentry><listitem><para>

+ 72 - 70
po/pl.po

@@ -9,17 +9,17 @@
 # Michał Kułach <michal.kulach@gmail.com>, 2012.
 # Michał Kułach <michal.kulach@gmail.com>, 2012.
 msgid ""
 msgid ""
 msgstr ""
 msgstr ""
-"Project-Id-Version: apt 0.7.23.1\n"
+"Project-Id-Version: apt 0.9.7.3\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
-"POT-Creation-Date: 2012-06-27 11:17+0200\n"
-"PO-Revision-Date: 2012-01-22 20:35+0100\n"
+"POT-Creation-Date: 2012-07-28 21:53+0200\n"
+"PO-Revision-Date: 2012-07-28 21:53+0200\n"
 "Last-Translator: Michał Kułach <michal.kulach@gmail.com>\n"
 "Last-Translator: Michał Kułach <michal.kulach@gmail.com>\n"
 "Language-Team: Polish <debian-l10n-polish@lists.debian.org>\n"
 "Language-Team: Polish <debian-l10n-polish@lists.debian.org>\n"
 "Language: pl\n"
 "Language: pl\n"
 "MIME-Version: 1.0\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: Lokalize 1.0\n"
+"X-Generator: Lokalize 1.2\n"
 "Plural-Forms: nplurals=3; plural=(n==1 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 "
 "Plural-Forms: nplurals=3; plural=(n==1 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 "
 "|| n%100>=20) ? 1 : 2);\n"
 "|| n%100>=20) ? 1 : 2);\n"
 
 
@@ -115,7 +115,7 @@ msgstr "Należy podać przynajmniej jeden wzorzec"
 msgid "This command is deprecated. Please use 'apt-mark showauto' instead."
 msgid "This command is deprecated. Please use 'apt-mark showauto' instead."
 msgstr "To polecenie jest przestarzałe. Prosimy używać \"apt-mark showauto\"."
 msgstr "To polecenie jest przestarzałe. Prosimy używać \"apt-mark showauto\"."
 
 
-#: cmdline/apt-cache.cc:1452 apt-pkg/cacheset.cc:508
+#: cmdline/apt-cache.cc:1452 apt-pkg/cacheset.cc:510
 #, c-format
 #, c-format
 msgid "Unable to locate package %s"
 msgid "Unable to locate package %s"
 msgstr "Nie udało się odnaleźć pakietu %s"
 msgstr "Nie udało się odnaleźć pakietu %s"
@@ -161,7 +161,7 @@ msgid "  Version table:"
 msgstr "  Tabela wersji:"
 msgstr "  Tabela wersji:"
 
 
 #: cmdline/apt-cache.cc:1679 cmdline/apt-cdrom.cc:198 cmdline/apt-config.cc:81
 #: cmdline/apt-cache.cc:1679 cmdline/apt-cdrom.cc:198 cmdline/apt-config.cc:81
-#: cmdline/apt-get.cc:3350 cmdline/apt-mark.cc:363
+#: cmdline/apt-get.cc:3350 cmdline/apt-mark.cc:375
 #: cmdline/apt-extracttemplates.cc:229 ftparchive/apt-ftparchive.cc:590
 #: cmdline/apt-extracttemplates.cc:229 ftparchive/apt-ftparchive.cc:590
 #: cmdline/apt-internal-solver.cc:33 cmdline/apt-sortpkgs.cc:147
 #: cmdline/apt-internal-solver.cc:33 cmdline/apt-sortpkgs.cc:147
 #, c-format
 #, c-format
@@ -294,7 +294,7 @@ msgstr "T"
 
 
 #: cmdline/apt-get.cc:140
 #: cmdline/apt-get.cc:140
 msgid "N"
 msgid "N"
-msgstr ""
+msgstr "N"
 
 
 #: cmdline/apt-get.cc:162 apt-pkg/cachefilter.cc:33
 #: cmdline/apt-get.cc:162 apt-pkg/cachefilter.cc:33
 #, c-format
 #, c-format
@@ -451,14 +451,16 @@ msgstr "Pakiety wirtualne, takie jak \"%s\" nie mogą być usunięte\n"
 
 
 #. TRANSLATORS: Note, this is not an interactive question
 #. TRANSLATORS: Note, this is not an interactive question
 #: cmdline/apt-get.cc:737 cmdline/apt-get.cc:940
 #: cmdline/apt-get.cc:737 cmdline/apt-get.cc:940
-#, fuzzy, c-format
+#, c-format
 msgid "Package '%s' is not installed, so not removed. Did you mean '%s'?\n"
 msgid "Package '%s' is not installed, so not removed. Did you mean '%s'?\n"
-msgstr "Pakiet %s nie jest zainstalowany, więc nie zostanie usunięty.\n"
+msgstr ""
+"Pakiet %s nie jest zainstalowany, więc nie zostanie usunięty. Czy chodziło o "
+"\"%s\"?\n"
 
 
 #: cmdline/apt-get.cc:743 cmdline/apt-get.cc:946
 #: cmdline/apt-get.cc:743 cmdline/apt-get.cc:946
-#, fuzzy, c-format
+#, c-format
 msgid "Package '%s' is not installed, so not removed\n"
 msgid "Package '%s' is not installed, so not removed\n"
-msgstr "Pakiet %s nie jest zainstalowany, więc nie zostanie usunięty.\n"
+msgstr "Pakiet \"%s\" nie jest zainstalowany, więc nie zostanie usunięty\n"
 
 
 #: cmdline/apt-get.cc:788
 #: cmdline/apt-get.cc:788
 #, c-format
 #, c-format
@@ -772,10 +774,9 @@ msgstr[2] ""
 "wymagane.\n"
 "wymagane.\n"
 
 
 #: cmdline/apt-get.cc:1835
 #: cmdline/apt-get.cc:1835
-#, fuzzy
 msgid "Use 'apt-get autoremove' to remove it."
 msgid "Use 'apt-get autoremove' to remove it."
 msgid_plural "Use 'apt-get autoremove' to remove them."
 msgid_plural "Use 'apt-get autoremove' to remove them."
-msgstr[0] "Aby je usunąć należy użyć \"apt-get autoremove\"."
+msgstr[0] "Aby go usunąć należy użyć \"apt-get autoremove\"."
 msgstr[1] "Aby je usunąć należy użyć \"apt-get autoremove\"."
 msgstr[1] "Aby je usunąć należy użyć \"apt-get autoremove\"."
 msgstr[2] "Aby je usunąć należy użyć \"apt-get autoremove\"."
 msgstr[2] "Aby je usunąć należy użyć \"apt-get autoremove\"."
 
 
@@ -865,7 +866,7 @@ msgstr "Nie udało się zablokować katalogu pobierania"
 #: cmdline/apt-get.cc:2386
 #: cmdline/apt-get.cc:2386
 #, c-format
 #, c-format
 msgid "Can't find a source to download version '%s' of '%s'"
 msgid "Can't find a source to download version '%s' of '%s'"
-msgstr ""
+msgstr "Nie można znaleźć źródła do pobrania wersji \"%s\" pakietu \"%s\""
 
 
 #: cmdline/apt-get.cc:2391
 #: cmdline/apt-get.cc:2391
 #, c-format
 #, c-format
@@ -894,14 +895,14 @@ msgstr ""
 "%s\n"
 "%s\n"
 
 
 #: cmdline/apt-get.cc:2513
 #: cmdline/apt-get.cc:2513
-#, fuzzy, c-format
+#, c-format
 msgid ""
 msgid ""
 "Please use:\n"
 "Please use:\n"
 "bzr branch %s\n"
 "bzr branch %s\n"
 "to retrieve the latest (possibly unreleased) updates to the package.\n"
 "to retrieve the latest (possibly unreleased) updates to the package.\n"
 msgstr ""
 msgstr ""
 "Proszę użyć:\n"
 "Proszę użyć:\n"
-"bzr get %s\n"
+"bzr branch %s\n"
 "by pobrać najnowsze (prawdopodobnie jeszcze niewydane) poprawki tego "
 "by pobrać najnowsze (prawdopodobnie jeszcze niewydane) poprawki tego "
 "pakietu.\n"
 "pakietu.\n"
 
 
@@ -1218,29 +1219,29 @@ msgstr "%s został już zatrzymany.\n"
 msgid "%s was already not hold.\n"
 msgid "%s was already not hold.\n"
 msgstr "%s został już odznaczony jako zatrzymany.\n"
 msgstr "%s został już odznaczony jako zatrzymany.\n"
 
 
-#: cmdline/apt-mark.cc:245 cmdline/apt-mark.cc:314
+#: cmdline/apt-mark.cc:245 cmdline/apt-mark.cc:326
 #: apt-pkg/contrib/fileutl.cc:828 apt-pkg/deb/dpkgpm.cc:1002
 #: apt-pkg/contrib/fileutl.cc:828 apt-pkg/deb/dpkgpm.cc:1002
 #, c-format
 #, c-format
 msgid "Waited for %s but it wasn't there"
 msgid "Waited for %s but it wasn't there"
 msgstr "Oczekiwano na proces %s, ale nie było go"
 msgstr "Oczekiwano na proces %s, ale nie było go"
 
 
-#: cmdline/apt-mark.cc:260 cmdline/apt-mark.cc:297
+#: cmdline/apt-mark.cc:260 cmdline/apt-mark.cc:309
 #, c-format
 #, c-format
 msgid "%s set on hold.\n"
 msgid "%s set on hold.\n"
 msgstr "%s został zatrzymany.\n"
 msgstr "%s został zatrzymany.\n"
 
 
-#: cmdline/apt-mark.cc:262 cmdline/apt-mark.cc:302
+#: cmdline/apt-mark.cc:262 cmdline/apt-mark.cc:314
 #, c-format
 #, c-format
 msgid "Canceled hold on %s.\n"
 msgid "Canceled hold on %s.\n"
 msgstr "Odznaczono zatrzymanie %s\n"
 msgstr "Odznaczono zatrzymanie %s\n"
 
 
 # Musi pasować do su i sudo.
 # Musi pasować do su i sudo.
-#: cmdline/apt-mark.cc:320
+#: cmdline/apt-mark.cc:332
 msgid "Executing dpkg failed. Are you root?"
 msgid "Executing dpkg failed. Are you root?"
 msgstr ""
 msgstr ""
 "Uruchomienie dpkg nie powiodło się. Czy użyto uprawnień administratora?"
 "Uruchomienie dpkg nie powiodło się. Czy użyto uprawnień administratora?"
 
 
-#: cmdline/apt-mark.cc:367
+#: cmdline/apt-mark.cc:379
 msgid ""
 msgid ""
 "Usage: apt-mark [options] {auto|manual} pkg1 [pkg2 ...]\n"
 "Usage: apt-mark [options] {auto|manual} pkg1 [pkg2 ...]\n"
 "\n"
 "\n"
@@ -1653,7 +1654,7 @@ msgstr "Nie można czytać %s"
 #: methods/mirror.cc:101 methods/mirror.cc:130 apt-pkg/contrib/cdromutl.cc:179
 #: methods/mirror.cc:101 methods/mirror.cc:130 apt-pkg/contrib/cdromutl.cc:179
 #: apt-pkg/contrib/cdromutl.cc:213 apt-pkg/acquire.cc:491
 #: apt-pkg/contrib/cdromutl.cc:213 apt-pkg/acquire.cc:491
 #: apt-pkg/acquire.cc:516 apt-pkg/clean.cc:42 apt-pkg/clean.cc:60
 #: apt-pkg/acquire.cc:516 apt-pkg/clean.cc:42 apt-pkg/clean.cc:60
-#: apt-pkg/clean.cc:122
+#: apt-pkg/clean.cc:123
 #, c-format
 #, c-format
 msgid "Unable to change to %s"
 msgid "Unable to change to %s"
 msgstr "Nie udało się przejść do %s"
 msgstr "Nie udało się przejść do %s"
@@ -2028,19 +2029,19 @@ msgid "Unable to open %s"
 msgstr "Nie można otworzyć %s"
 msgstr "Nie można otworzyć %s"
 
 
 #: ftparchive/override.cc:61 ftparchive/override.cc:167
 #: ftparchive/override.cc:61 ftparchive/override.cc:167
-#, fuzzy, c-format
+#, c-format
 msgid "Malformed override %s line %llu #1"
 msgid "Malformed override %s line %llu #1"
-msgstr "Nieprawidłowa linia %2$lu #1 pliku override %1$s"
+msgstr "Nieprawidłowa linia %llu #1 pliku override %s"
 
 
 #: ftparchive/override.cc:75 ftparchive/override.cc:179
 #: ftparchive/override.cc:75 ftparchive/override.cc:179
-#, fuzzy, c-format
+#, c-format
 msgid "Malformed override %s line %llu #2"
 msgid "Malformed override %s line %llu #2"
-msgstr "Nieprawidłowa linia %2$lu #2 pliku override %1$s"
+msgstr "Nieprawidłowa linia %llu #2 pliku override %s"
 
 
 #: ftparchive/override.cc:89 ftparchive/override.cc:192
 #: ftparchive/override.cc:89 ftparchive/override.cc:192
-#, fuzzy, c-format
+#, c-format
 msgid "Malformed override %s line %llu #3"
 msgid "Malformed override %s line %llu #3"
-msgstr "Nieprawidłowa linia %2$lu #3 pliku override %1$s"
+msgstr "Nieprawidłowa linia %llu #3 pliku override %s"
 
 
 #: ftparchive/override.cc:128 ftparchive/override.cc:202
 #: ftparchive/override.cc:128 ftparchive/override.cc:202
 #, c-format
 #, c-format
@@ -2093,7 +2094,6 @@ msgid "Failed to rename %s to %s"
 msgstr "Nie udało się zmienić nazwy %s na %s"
 msgstr "Nie udało się zmienić nazwy %s na %s"
 
 
 #: cmdline/apt-internal-solver.cc:37
 #: cmdline/apt-internal-solver.cc:37
-#, fuzzy
 msgid ""
 msgid ""
 "Usage: apt-internal-solver\n"
 "Usage: apt-internal-solver\n"
 "\n"
 "\n"
@@ -2106,15 +2106,16 @@ msgid ""
 "  -c=? Read this configuration file\n"
 "  -c=? Read this configuration file\n"
 "  -o=? Set an arbitrary configuration option, eg -o dir::cache=/tmp\n"
 "  -o=? Set an arbitrary configuration option, eg -o dir::cache=/tmp\n"
 msgstr ""
 msgstr ""
-"Użycie: apt-extracttemplates plik1 [plik2 ...]\n"
+"Użycie: apt-internal-solver\n"
 "\n"
 "\n"
-"apt-extracttemplates to narzędzie służące do pobierania informacji\n"
-"i konfiguracji i szablonach z pakietów Debiana.\n"
+"apt-internal-solver jest interfejsem do używania bieżącego, wewnętrznego\n"
+"mechanizmu rozwiązywania zależności - w sposób podobny jak zewnętrznego\n"
+"mechanizmu rodziny APT - do celów debugowania itp.\n"
 "\n"
 "\n"
 "Opcje:\n"
 "Opcje:\n"
 "  -h   Ten tekst pomocy.\n"
 "  -h   Ten tekst pomocy.\n"
-"  -t   Ustawia katalog tymczasowy\n"
-"  -c=? Czyta wskazany plik konfiguracyjny.\n"
+"  -q   Zapisywalne wyjście - brak wskaźnika postępu\n"
+"  -c=? Czyta wskazany plik konfiguracyjny\n"
 "  -o=? Ustawia dowolną opcję konfiguracji, np. -o dir::cache=/tmp\n"
 "  -o=? Ustawia dowolną opcję konfiguracji, np. -o dir::cache=/tmp\n"
 
 
 #: cmdline/apt-sortpkgs.cc:89
 #: cmdline/apt-sortpkgs.cc:89
@@ -2310,43 +2311,43 @@ msgstr "Plik kontrolny nie może zostać poprawnie zinterpretowany"
 msgid "Can't mmap an empty file"
 msgid "Can't mmap an empty file"
 msgstr "Nie można wykonać mmap na pustym pliku"
 msgstr "Nie można wykonać mmap na pustym pliku"
 
 
-#: apt-pkg/contrib/mmap.cc:110
+#: apt-pkg/contrib/mmap.cc:111
 #, c-format
 #, c-format
 msgid "Couldn't duplicate file descriptor %i"
 msgid "Couldn't duplicate file descriptor %i"
 msgstr "Nie udało się zduplikować deskryptora pliku %i"
 msgstr "Nie udało się zduplikować deskryptora pliku %i"
 
 
-#: apt-pkg/contrib/mmap.cc:118
-#, fuzzy, c-format
+#: apt-pkg/contrib/mmap.cc:119
+#, c-format
 msgid "Couldn't make mmap of %llu bytes"
 msgid "Couldn't make mmap of %llu bytes"
-msgstr "Nie udało się wykonać mmap %lu bajtów"
+msgstr "Nie udało się wykonać mmap %llu bajtów"
 
 
-#: apt-pkg/contrib/mmap.cc:145
+#: apt-pkg/contrib/mmap.cc:146
 msgid "Unable to close mmap"
 msgid "Unable to close mmap"
 msgstr "Nie udało się zamknąć mmap"
 msgstr "Nie udało się zamknąć mmap"
 
 
-#: apt-pkg/contrib/mmap.cc:173 apt-pkg/contrib/mmap.cc:201
+#: apt-pkg/contrib/mmap.cc:174 apt-pkg/contrib/mmap.cc:202
 msgid "Unable to synchronize mmap"
 msgid "Unable to synchronize mmap"
 msgstr "Nie udało się zsynchronizować mmap"
 msgstr "Nie udało się zsynchronizować mmap"
 
 
-#: apt-pkg/contrib/mmap.cc:279
+#: apt-pkg/contrib/mmap.cc:290
 #, c-format
 #, c-format
 msgid "Couldn't make mmap of %lu bytes"
 msgid "Couldn't make mmap of %lu bytes"
 msgstr "Nie udało się wykonać mmap %lu bajtów"
 msgstr "Nie udało się wykonać mmap %lu bajtów"
 
 
-#: apt-pkg/contrib/mmap.cc:311
+#: apt-pkg/contrib/mmap.cc:322
 msgid "Failed to truncate file"
 msgid "Failed to truncate file"
 msgstr "Nie udało się uciąć zawartości pliku %s"
 msgstr "Nie udało się uciąć zawartości pliku %s"
 
 
-#: apt-pkg/contrib/mmap.cc:330
+#: apt-pkg/contrib/mmap.cc:341
 #, c-format
 #, c-format
 msgid ""
 msgid ""
 "Dynamic MMap ran out of room. Please increase the size of APT::Cache-Start. "
 "Dynamic MMap ran out of room. Please increase the size of APT::Cache-Start. "
 "Current value: %lu. (man 5 apt.conf)"
 "Current value: %lu. (man 5 apt.conf)"
 msgstr ""
 msgstr ""
 "Brak miejsca dla dynamicznego MMap. Proszę zwiększyć rozmiar APT::Cache-"
 "Brak miejsca dla dynamicznego MMap. Proszę zwiększyć rozmiar APT::Cache-"
-"Start. Aktualna wartość: %lu. (man 5 apt.conf)"
+"Start. Bieżąca wartość: %lu. (man 5 apt.conf)"
 
 
-#: apt-pkg/contrib/mmap.cc:429
+#: apt-pkg/contrib/mmap.cc:440
 #, c-format
 #, c-format
 msgid ""
 msgid ""
 "Unable to increase the size of the MMap as the limit of %lu bytes is already "
 "Unable to increase the size of the MMap as the limit of %lu bytes is already "
@@ -2355,7 +2356,7 @@ msgstr ""
 "Nie udało się zwiększyć rozmiaru MMap, ponieważ limit %lu bajtów został już "
 "Nie udało się zwiększyć rozmiaru MMap, ponieważ limit %lu bajtów został już "
 "osiągnięty."
 "osiągnięty."
 
 
-#: apt-pkg/contrib/mmap.cc:432
+#: apt-pkg/contrib/mmap.cc:443
 msgid ""
 msgid ""
 "Unable to increase size of the MMap as automatic growing is disabled by user."
 "Unable to increase size of the MMap as automatic growing is disabled by user."
 msgstr ""
 msgstr ""
@@ -2603,14 +2604,14 @@ msgid "Failed to exec compressor "
 msgstr "Nie udało się uruchomić kompresora "
 msgstr "Nie udało się uruchomić kompresora "
 
 
 #: apt-pkg/contrib/fileutl.cc:1289
 #: apt-pkg/contrib/fileutl.cc:1289
-#, fuzzy, c-format
+#, c-format
 msgid "read, still have %llu to read but none left"
 msgid "read, still have %llu to read but none left"
-msgstr "należało przeczytać jeszcze %lu, ale nic nie zostało"
+msgstr "należało przeczytać jeszcze %llu, ale nic nie zostało"
 
 
 #: apt-pkg/contrib/fileutl.cc:1378 apt-pkg/contrib/fileutl.cc:1400
 #: apt-pkg/contrib/fileutl.cc:1378 apt-pkg/contrib/fileutl.cc:1400
-#, fuzzy, c-format
+#, c-format
 msgid "write, still have %llu to write but couldn't"
 msgid "write, still have %llu to write but couldn't"
-msgstr "należało zapisać jeszcze %lu, ale nie udało się to"
+msgstr "należało zapisać jeszcze %llu, ale nie udało się to"
 
 
 #: apt-pkg/contrib/fileutl.cc:1716
 #: apt-pkg/contrib/fileutl.cc:1716
 #, c-format
 #, c-format
@@ -2644,9 +2645,8 @@ msgid "The package cache file is an incompatible version"
 msgstr "Magazyn podręczny pakietów jest w niezgodnej wersji"
 msgstr "Magazyn podręczny pakietów jest w niezgodnej wersji"
 
 
 #: apt-pkg/pkgcache.cc:162
 #: apt-pkg/pkgcache.cc:162
-#, fuzzy
 msgid "The package cache file is corrupted, it is too small"
 msgid "The package cache file is corrupted, it is too small"
-msgstr "Magazyn podręczny pakietów jest uszkodzony"
+msgstr "Magazyn podręczny pakietów jest uszkodzony - jest zbyt mały"
 
 
 #: apt-pkg/pkgcache.cc:167
 #: apt-pkg/pkgcache.cc:167
 #, c-format
 #, c-format
@@ -2832,9 +2832,9 @@ msgstr ""
 "się więcej. (%d)"
 "się więcej. (%d)"
 
 
 #: apt-pkg/packagemanager.cc:473 apt-pkg/packagemanager.cc:503
 #: apt-pkg/packagemanager.cc:473 apt-pkg/packagemanager.cc:503
-#, fuzzy, c-format
+#, c-format
 msgid "Could not configure '%s'. "
 msgid "Could not configure '%s'. "
-msgstr "Nie udało się otworzyć pliku \"%s\""
+msgstr "Nie udało się skonfigurować \"%s\". "
 
 
 #: apt-pkg/packagemanager.cc:545
 #: apt-pkg/packagemanager.cc:545
 #, c-format
 #, c-format
@@ -2990,9 +2990,9 @@ msgstr "Magazyn podręczny ma niezgodny system wersji"
 #: apt-pkg/pkgcachegen.cc:418 apt-pkg/pkgcachegen.cc:423
 #: apt-pkg/pkgcachegen.cc:418 apt-pkg/pkgcachegen.cc:423
 #: apt-pkg/pkgcachegen.cc:463 apt-pkg/pkgcachegen.cc:471
 #: apt-pkg/pkgcachegen.cc:463 apt-pkg/pkgcachegen.cc:471
 #: apt-pkg/pkgcachegen.cc:502 apt-pkg/pkgcachegen.cc:516
 #: apt-pkg/pkgcachegen.cc:502 apt-pkg/pkgcachegen.cc:516
-#, fuzzy, c-format
+#, c-format
 msgid "Error occurred while processing %s (%s%d)"
 msgid "Error occurred while processing %s (%s%d)"
-msgstr "Wystąpił błąd podczas przetwarzania %s (FindPkg)"
+msgstr "Wystąpił błąd podczas przetwarzania %s (%s%d)"
 
 
 #: apt-pkg/pkgcachegen.cc:234
 #: apt-pkg/pkgcachegen.cc:234
 msgid "Wow, you exceeded the number of package names this APT is capable of."
 msgid "Wow, you exceeded the number of package names this APT is capable of."
@@ -3290,35 +3290,35 @@ msgstr "Plik %s nie zaczyna się wiadomością podpisaną w trybie clearsign"
 msgid "No keyring installed in %s."
 msgid "No keyring installed in %s."
 msgstr "Brak zainstalowanej bazy kluczy w %s."
 msgstr "Brak zainstalowanej bazy kluczy w %s."
 
 
-#: apt-pkg/cacheset.cc:401
+#: apt-pkg/cacheset.cc:403
 #, c-format
 #, c-format
 msgid "Release '%s' for '%s' was not found"
 msgid "Release '%s' for '%s' was not found"
 msgstr "Wydanie \"%s\" dla \"%s\" nie zostało znalezione"
 msgstr "Wydanie \"%s\" dla \"%s\" nie zostało znalezione"
 
 
-#: apt-pkg/cacheset.cc:404
+#: apt-pkg/cacheset.cc:406
 #, c-format
 #, c-format
 msgid "Version '%s' for '%s' was not found"
 msgid "Version '%s' for '%s' was not found"
 msgstr "Wersja \"%s\" dla \"%s\" nie została znaleziona"
 msgstr "Wersja \"%s\" dla \"%s\" nie została znaleziona"
 
 
-#: apt-pkg/cacheset.cc:515
+#: apt-pkg/cacheset.cc:517
 #, c-format
 #, c-format
 msgid "Couldn't find task '%s'"
 msgid "Couldn't find task '%s'"
 msgstr "Nie udało się odnaleźć zadania \"%s\""
 msgstr "Nie udało się odnaleźć zadania \"%s\""
 
 
-#: apt-pkg/cacheset.cc:521
+#: apt-pkg/cacheset.cc:523
 #, c-format
 #, c-format
 msgid "Couldn't find any package by regex '%s'"
 msgid "Couldn't find any package by regex '%s'"
 msgstr ""
 msgstr ""
 "Nie udało się znaleźć żadnego pakietu według wyrażenia regularnego \"%s\""
 "Nie udało się znaleźć żadnego pakietu według wyrażenia regularnego \"%s\""
 
 
-#: apt-pkg/cacheset.cc:532
+#: apt-pkg/cacheset.cc:534
 #, c-format
 #, c-format
 msgid "Can't select versions from package '%s' as it is purely virtual"
 msgid "Can't select versions from package '%s' as it is purely virtual"
 msgstr ""
 msgstr ""
 "Nie udało się wybrać wersji z pakietu \"%s\", ponieważ jest on czysto "
 "Nie udało się wybrać wersji z pakietu \"%s\", ponieważ jest on czysto "
 "wirtualny"
 "wirtualny"
 
 
-#: apt-pkg/cacheset.cc:539 apt-pkg/cacheset.cc:546
+#: apt-pkg/cacheset.cc:541 apt-pkg/cacheset.cc:548
 #, c-format
 #, c-format
 msgid ""
 msgid ""
 "Can't select installed nor candidate version from package '%s' as it has "
 "Can't select installed nor candidate version from package '%s' as it has "
@@ -3327,21 +3327,21 @@ msgstr ""
 "Nie udało się wybrać zainstalowanej ani kandydującej wersji pakietu \"%s\", "
 "Nie udało się wybrać zainstalowanej ani kandydującej wersji pakietu \"%s\", "
 "ponieważ nie ma żadnej z nich"
 "ponieważ nie ma żadnej z nich"
 
 
-#: apt-pkg/cacheset.cc:553
+#: apt-pkg/cacheset.cc:555
 #, c-format
 #, c-format
 msgid "Can't select newest version from package '%s' as it is purely virtual"
 msgid "Can't select newest version from package '%s' as it is purely virtual"
 msgstr ""
 msgstr ""
 "Nie udało się wybrać najnowszej wersji pakietu \"%s\", ponieważ jest on "
 "Nie udało się wybrać najnowszej wersji pakietu \"%s\", ponieważ jest on "
 "czysto wirtualny"
 "czysto wirtualny"
 
 
-#: apt-pkg/cacheset.cc:561
+#: apt-pkg/cacheset.cc:563
 #, c-format
 #, c-format
 msgid "Can't select candidate version from package %s as it has no candidate"
 msgid "Can't select candidate version from package %s as it has no candidate"
 msgstr ""
 msgstr ""
 "Nie udało się wybrać wersji kandydującej pakietu %s, ponieważ nie ma "
 "Nie udało się wybrać wersji kandydującej pakietu %s, ponieważ nie ma "
 "kandydata"
 "kandydata"
 
 
-#: apt-pkg/cacheset.cc:569
+#: apt-pkg/cacheset.cc:571
 #, c-format
 #, c-format
 msgid "Can't select installed version from package %s as it is not installed"
 msgid "Can't select installed version from package %s as it is not installed"
 msgstr ""
 msgstr ""
@@ -3350,23 +3350,25 @@ msgstr ""
 
 
 #: apt-pkg/edsp.cc:41 apt-pkg/edsp.cc:61
 #: apt-pkg/edsp.cc:41 apt-pkg/edsp.cc:61
 msgid "Send scenario to solver"
 msgid "Send scenario to solver"
-msgstr ""
+msgstr "Wysyłanie scenariusza do mechanizmu rozwiązywania zależności"
 
 
 #: apt-pkg/edsp.cc:209
 #: apt-pkg/edsp.cc:209
 msgid "Send request to solver"
 msgid "Send request to solver"
-msgstr ""
+msgstr "Wysyłanie żądania do mechanizmu rozwiązywania zależności"
 
 
 #: apt-pkg/edsp.cc:277
 #: apt-pkg/edsp.cc:277
 msgid "Prepare for receiving solution"
 msgid "Prepare for receiving solution"
-msgstr ""
+msgstr "Przygotowywanie na otrzymanie rozwiązania"
 
 
 #: apt-pkg/edsp.cc:284
 #: apt-pkg/edsp.cc:284
 msgid "External solver failed without a proper error message"
 msgid "External solver failed without a proper error message"
 msgstr ""
 msgstr ""
+"Zewnętrzny mechanizm rozwiązywania zależności zawiódł, bez podania "
+"prawidłowego komunikatu o błędzie"
 
 
 #: apt-pkg/edsp.cc:555 apt-pkg/edsp.cc:558 apt-pkg/edsp.cc:563
 #: apt-pkg/edsp.cc:555 apt-pkg/edsp.cc:558 apt-pkg/edsp.cc:563
 msgid "Execute external solver"
 msgid "Execute external solver"
-msgstr ""
+msgstr "Wykonywanie zewnętrznego mechanizmu rozwiązywania zależności"
 
 
 #: apt-pkg/deb/dpkgpm.cc:73
 #: apt-pkg/deb/dpkgpm.cc:73
 #, c-format
 #, c-format
@@ -3461,7 +3463,7 @@ msgstr "Uruchamianie dpkg"
 
 
 #: apt-pkg/deb/dpkgpm.cc:1411
 #: apt-pkg/deb/dpkgpm.cc:1411
 msgid "Operation was interrupted before it could finish"
 msgid "Operation was interrupted before it could finish"
-msgstr ""
+msgstr "Operacja została przerwana, zanim mogła zostać zakończona"
 
 
 #: apt-pkg/deb/dpkgpm.cc:1473
 #: apt-pkg/deb/dpkgpm.cc:1473
 msgid "No apport report written because MaxReports is reached already"
 msgid "No apport report written because MaxReports is reached already"

+ 1 - 0
test/integration/test-bug-632221-cross-dependency-satisfaction

@@ -63,6 +63,7 @@ Inst libc6 (1.0 unstable [amd64])
 Inst specific (1.0 unstable [amd64])
 Inst specific (1.0 unstable [amd64])
 Conf libc6 (1.0 unstable [amd64])
 Conf libc6 (1.0 unstable [amd64])
 Conf specific (1.0 unstable [amd64])' aptget build-dep source-specific-amd64 -s -a armel
 Conf specific (1.0 unstable [amd64])' aptget build-dep source-specific-amd64 -s -a armel
+
 testequal 'Reading package lists...
 testequal 'Reading package lists...
 Building dependency tree...
 Building dependency tree...
 The following NEW packages will be installed:
 The following NEW packages will be installed:

+ 81 - 0
test/integration/test-bug-683786-build-dep-on-virtual-packages

@@ -0,0 +1,81 @@
+#!/bin/sh
+set -e
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+setupenvironment
+configarchitecture 'amd64' 'armel'
+
+insertinstalledpackage 'build-essential' 'all' '11.5' 'Multi-Arch: foreign'
+
+insertpackage 'unstable' 'po-debconf' 'all' '1'
+insertsource 'unstable' 'dash' 'any' '1' 'Build-Depends: po-debconf'
+insertpackage 'unstable' 'make-po-debconf-pure-virtual' 'armel' '1' 'Depends: po-debconf'
+
+insertpackage 'unstable' 'po-debconf' 'amd64' '1'
+insertsource 'unstable' 'diffutils' 'any' '1' 'Build-Depends: texi2html'
+
+insertpackage 'unstable' 'libselinux1-dev' 'amd64' '1' 'Provides: libselinux-dev'
+insertsource 'unstable' 'sed' 'any' '1' 'Build-Depends: libselinux-dev'
+
+insertpackage 'unstable' 'libsehurd1-dev' 'amd64,armel' '1' 'Provides: libsehurd-dev'
+insertsource 'unstable' 'sed2' 'any' '1' 'Build-Depends: libsehurd-dev'
+
+setupaptarchive
+
+testequal 'Package: po-debconf:armel
+Versions: 
+
+Reverse Depends: 
+  make-po-debconf-pure-virtual:armel,po-debconf:armel
+Dependencies: 
+Provides: 
+Reverse Provides: ' aptcache showpkg po-debconf:armel
+testequal 'N: Unable to locate package texi2html' aptcache showpkg texi2html:armel -q=0
+
+testequal 'Reading package lists...
+Building dependency tree...
+The following NEW packages will be installed:
+  po-debconf
+0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
+Inst po-debconf (1 unstable, unstable [all])
+Conf po-debconf (1 unstable, unstable [all])' aptget build-dep dash -s
+
+testequal 'Reading package lists...
+Building dependency tree...
+E: Build-Depends dependency for dash cannot be satisfied because the package po-debconf cannot be found' aptget build-dep -aarmel dash -s
+
+testequal 'Reading package lists...
+Building dependency tree...
+E: Build-Depends dependency for diffutils cannot be satisfied because the package texi2html cannot be found' aptget build-dep -aarmel diffutils -s
+
+testequal "Reading package lists...
+Building dependency tree...
+Note, selecting 'libselinux1-dev' instead of 'libselinux-dev'
+The following NEW packages will be installed:
+  libselinux1-dev
+0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
+Inst libselinux1-dev (1 unstable [amd64])
+Conf libselinux1-dev (1 unstable [amd64])" aptget build-dep sed -s
+
+testequal 'Reading package lists...
+Building dependency tree...
+E: Build-Depends dependency for sed cannot be satisfied because the package libselinux-dev cannot be found' aptget build-dep -aarmel sed -s
+
+testequal "Reading package lists...
+Building dependency tree...
+Note, selecting 'libsehurd1-dev' instead of 'libsehurd-dev'
+The following NEW packages will be installed:
+  libsehurd1-dev
+0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
+Inst libsehurd1-dev (1 unstable [amd64])
+Conf libsehurd1-dev (1 unstable [amd64])" aptget build-dep sed2 -s
+
+testequal "Reading package lists...
+Building dependency tree...
+Note, selecting 'libsehurd1-dev:armel' instead of 'libsehurd-dev:armel'
+The following NEW packages will be installed:
+  libsehurd1-dev:armel
+0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
+Inst libsehurd1-dev:armel (1 unstable [armel])
+Conf libsehurd1-dev:armel (1 unstable [armel])" aptget build-dep -aarmel sed2 -s